VirtualBox

Ticket #14089 (closed defect: fixed)

Opened 4 years ago

Last modified 3 months ago

vboxsf module crashes during high load => Fixed in SVN / 6.0.6

Reported by: sleepycal Owned by:
Component: shared folders Version: VirtualBox 4.3.26
Keywords: crash Cc:
Guest type: Linux Host type: Mac OS X

Description (last modified by frank) (diff)

I was able to reproduce a vboxsf crash twice whilst running "npm install" on a shared directory, which triggers a lot of different file activity (create/link/read/syay etc).

My guest machine is;
Linux vagrant-ubuntu-trusty-64 3.13.0-49-generic #83-Ubuntu SMP Fri Apr 10 20:11:33 UTC 2015 x86_64 x86_64 x86_64 GNU/Linux Ubuntu 14.04.2 LTS

My host machine is;
VirtualBox 4.3.24 on OS X Yosemite 10.10.2

Attachments

boot2docker-vm__Running__and_Oracle_VM_VirtualBox_Manager.png Download (139.4 KB) - added by lsolberg 4 years ago.
vboxsf-kernel47panic.png Download (20.3 KB) - added by adeschenes 3 years ago.
vboxsf kernel panic jessie-backports kernel 4.7.8
vboxsf-kernel316panic.png Download (17.1 KB) - added by adeschenes 3 years ago.
vboxsf kernel panic jessie kernel 3.16.36

Change History

comment:1 Changed 4 years ago by sleepycal

Sorry, formatting got a little crazy

[ 1563.157119] BUG: unable to handle kernel NULL pointer dereference at           (null)
[ 1563.157903] IP: [<          (null)>]           (null)
[ 1563.158405] PGD 3e2ae067 PUD 3e55f067 PMD 0
[ 1563.158816] Oops: 0010 [#1] SMP
[ 1563.159151] Modules linked in: vboxsf(OX) nfsd auth_rpcgss nfs_acl nfs lockd sunrpc fscache dm_crypt ppdev serio_raw parport_pc parport video vboxguest(OX) ahci e1000 psmouse libahci
[ 1563.160328] CPU: 1 PID: 5195 Comm: npm Tainted: G           OX 3.13.0-49-generic #83-Ubuntu
[ 1563.160328] Hardware name: innotek GmbH VirtualBox/VirtualBox, BIOS VirtualBox 12/01/2006
[ 1563.160328] task: ffff88003732b000 ti: ffff88003e6e6000 task.ti: ffff88003e6e6000
[ 1563.160328] RIP: 0010:[<0000000000000000>]  [<          (null)>]           (null)
[ 1563.160328] RSP: 0018:ffff88003e6e7c58  EFLAGS: 00010246
[ 1563.160328] RAX: ffffffffa01fe140 RBX: ffff88000e5c303b RCX: 000000005541054c
[ 1563.160328] RDX: 0000000000000009 RSI: ffff88003e6e7dd0 RDI: ffff88002f38a180
[ 1563.160328] RBP: ffff88003e6e7cf8 R08: 000000005541054c R09: 0000000000000001
[ 1563.160328] R10: ffffea0000f7ef00 R11: ffffffffa00a4b4a R12: ffff88003732b000
[ 1563.160328] R13: 0000000000000000 R14: ffff88002f38a180 R15: ffff88003e6e7dd0
[ 1563.160328] FS:  00002ba45decf700(0000) GS:ffff880041500000(0000) knlGS:0000000000000000
[ 1563.160328] CS:  0010 DS: 0000 ES: 0000 CR0: 000000008005003b
[ 1563.160328] CR2: 0000000000000000 CR3: 000000003e582000 CR4: 00000000000006e0
[ 1563.160328] Stack:
[ 1563.160328]  ffffffff811cb049 ffffffff812d71cc ffff88003e6e7c90 ffff88003732b000
[ 1563.160328]  ffff88003e6e7df0 ffff88003732b000 ffff88003e6e7cc0 ffff88003d84b6d0
[ 1563.160328]  ffffffff811c8f88 ffff8800370e33e0 ffff88002f38a180 0000000c8bd82fae
[ 1563.160328] Call Trace:
[ 1563.160328]  [<ffffffff811cb049>] ? link_path_walk+0x549/0x870
[ 1563.160328]  [<ffffffff812d71cc>] ? security_inode_permission+0x1c/0x30
[ 1563.160328]  [<ffffffff811c8f88>] ? inode_permission+0x18/0x50
[ 1563.160328]  [<ffffffff811cb3cb>] path_lookupat+0x5b/0x790
[ 1563.160328]  [<ffffffff811d4ac4>] ? dput+0x24/0x180
[ 1563.160328]  [<ffffffff811d6f20>] ? __d_lookup+0x120/0x160
[ 1563.160328]  [<ffffffff811a3004>] ? kmem_cache_alloc+0x84/0x1e0
[ 1563.160328]  [<ffffffff811cde8f>] ? getname_flags+0x4f/0x190
[ 1563.160328]  [<ffffffff811cbb2b>] filename_lookup+0x2b/0xc0
[ 1563.160328]  [<ffffffff811ceb64>] user_path_at_empty+0x54/0x90
[ 1563.160328]  [<ffffffff811cebb1>] user_path_at+0x11/0x20
[ 1563.160328]  [<ffffffff811c2d40>] vfs_fstatat+0x50/0xa0
[ 1563.160328]  [<ffffffff811a218b>] ? kmem_cache_free+0xab/0x1e0
[ 1563.160328]  [<ffffffff811c3222>] SYSC_newlstat+0x22/0x40
[ 1563.160328]  [<ffffffff811ce07c>] ? user_path_create+0x4c/0x60
[ 1563.160328]  [<ffffffff811cf2b8>] ? SyS_mkdir+0x38/0xe0
[ 1563.160328]  [<ffffffff811c343e>] SyS_newlstat+0xe/0x10
[ 1563.160328]  [<ffffffff8173263d>] system_call_fastpath+0x1a/0x1f
[ 1563.160328] Code:  Bad RIP value.
[ 1563.160328] RIP  [<          (null)>]           (null)
[ 1563.160328]  RSP <ffff88003e6e7c58>
[ 1563.160328] CR2: 0000000000000000
[ 1563.184076] ---[ end trace 09765f94806f2c72 ]---
Last edited 4 years ago by frank (previous) (diff)

comment:2 Changed 4 years ago by frank

  • Description modified (diff)

comment:3 Changed 4 years ago by sleepycal

This keeps on happening, can't seem to get rid of it... even happens during low IO now.

[ 1763.532026] task: ffff88003e583000 ti: ffff88003dfe8000 task.ti: ffff88003dfe8000
[ 1763.532026] RIP: 0010:[<0000000000000000>]  [<          (null)>]           (null)
[ 1763.532026] RSP: 0018:ffff88003dfe9ce8  EFLAGS: 00010246
[ 1763.532026] RAX: ffffffffa01f8140 RBX: ffff88003726d03b RCX: 000000005548a325
[ 1763.532026] RDX: 0000000000000003 RSI: ffff88003dfe9e40 RDI: ffff88003909de40
[ 1763.532026] RBP: ffff88003dfe9d88 R08: 000000005548a325 R09: 0000000000000001
[ 1763.532026] R10: ffffea0000dc2700 R11: ffffffffa00a0b4a R12: ffff88003e583000
[ 1763.532026] R13: 0000000000000000 R14: ffff88003909de40 R15: ffff88003dfe9e40
[ 1763.532026] FS:  00007f06a93e5700(0000) GS:ffff880041500000(0000) knlGS:0000000000000000
[ 1763.532026] CS:  0010 DS: 0000 ES: 0000 CR0: 000000008005003b
[ 1763.532026] CR2: 0000000000000000 CR3: 000000003ef94000 CR4: 00000000000006e0
[ 1763.532026] Stack:
[ 1763.532026]  ffffffff811cb049 ffff88003f801c00 ffffffff8131568b ffff88003e583000
[ 1763.532026]  ffff88003dfe9e60 ffff88003e583000 ffff88003dfe9d50 ffff880015cacdb0
[ 1763.532026]  ffff88003dfe9d50 ffff88003e2f7520 ffff88003909de40 0000000c8bd82fae
[ 1763.532026] Call Trace:
[ 1763.532026]  [<ffffffff811cb049>] ? link_path_walk+0x549/0x870
[ 1763.532026]  [<ffffffff8131568b>] ? apparmor_file_alloc_security+0x5b/0x180
[ 1763.532026]  [<ffffffff811cd83c>] path_openat+0x9c/0x650
[ 1763.532026]  [<ffffffff811cde12>] ? final_putname+0x22/0x50
[ 1763.532026]  [<ffffffff811ce019>] ? putname+0x29/0x40
[ 1763.532026]  [<ffffffff811cec5a>] do_filp_open+0x3a/0x90
[ 1763.532026]  [<ffffffff811dbaf7>] ? __alloc_fd+0xa7/0x130
[ 1763.532026]  [<ffffffff811bd2d9>] do_sys_open+0x129/0x280
[ 1763.532026]  [<ffffffff811bd44e>] SyS_open+0x1e/0x20
[ 1763.551945]  [<ffffffff8173263d>] system_call_fastpath+0x1a/0x1f
[ 1763.551945] Code:  Bad RIP value.
[ 1763.551945] RIP  [<          (null)>]           (null)
[ 1763.551945]  RSP <ffff88003dfe9ce8>
[ 1763.551945] CR2: 0000000000000000
[ 1763.555573] ---[ end trace 927d0e1990ebd40c ]---
[ 9616.144540] e1000 0000:00:03.0 eth0: Detected Tx Unit Hang
[ 9616.144540]   Tx Queue             <0>
[ 9616.144540]   TDH                  <d8>
[ 9616.144540]   TDT                  <da>
[ 9616.144540]   next_to_use          <da>
[ 9616.144540]   next_to_clean        <d8>
[ 9616.144540] buffer_info[next_to_clean]
[ 9616.144540]   time_stamp           <1002386e2>
[ 9616.144540]   next_to_watch        <d9>
[ 9616.144540]   jiffies              <1002389cd>
[ 9616.144540]   next_to_watch.status <0>
[ 9618.151128] e1000 0000:00:03.0 eth0: Detected Tx Unit Hang
[ 9618.151128]   Tx Queue             <0>
[ 9618.151128]   TDH                  <d8>
[ 9618.151128]   TDT                  <da>
[ 9618.151128]   next_to_use          <da>
[ 9618.151128]   next_to_clean        <d8>
[ 9618.151128] buffer_info[next_to_clean]
[ 9618.151128]   time_stamp           <1002386e2>
[ 9618.151128]   next_to_watch        <d9>
[ 9618.151128]   jiffies              <100238bc2>
[ 9618.151128]   next_to_watch.status <0>
[ 9620.154219] e1000 0000:00:03.0 eth0: Detected Tx Unit Hang
[ 9620.154219]   Tx Queue             <0>
[ 9620.154219]   TDH                  <d8>
[ 9620.154219]   TDT                  <da>
[ 9620.154219]   next_to_use          <da>
[ 9620.154219]   next_to_clean        <d8>
[ 9620.154219] buffer_info[next_to_clean]
[ 9620.154219]   time_stamp           <1002386e2>
[ 9620.154219]   next_to_watch        <d9>
[ 9620.154219]   jiffies              <100238db7>
[ 9620.154219]   next_to_watch.status <0>
[ 9620.828094] ------------[ cut here ]------------
[ 9620.828600] WARNING: CPU: 0 PID: 0 at /build/buildd/linux-3.13.0/net/sched/sch_generic.c:264 dev_watchdog+0x276/0x280()
[ 9620.829604] NETDEV WATCHDOG: eth0 (e1000): transmit queue 0 timed out
[ 9620.830170] Modules linked in: vboxsf(OX) nfsd auth_rpcgss nfs_acl nfs lockd sunrpc fscache dm_crypt ppdev video parport_pc parport serio_raw vboxguest(OX) ahci libahci psmouse e1000
[ 9620.831963] CPU: 0 PID: 0 Comm: swapper/0 Tainted: G      D    OX 3.13.0-49-generic #83-Ubuntu
[ 9620.832776] Hardware name: innotek GmbH VirtualBox/VirtualBox, BIOS VirtualBox 12/01/2006
[ 9620.833612]  0000000000000009 ffff880041403d98 ffffffff81721b36 ffff880041403de0
[ 9620.834448]  ffff880041403dd0 ffffffff810677dd 0000000000000000 ffff88003ee66000
[ 9620.835275]  ffff880037557480 0000000000000001 0000000000000000 ffff880041403e30
[ 9620.836004] Call Trace:
[ 9620.836354]  <IRQ>  [<ffffffff81721b36>] dump_stack+0x45/0x56
[ 9620.836899]  [<ffffffff810677dd>] warn_slowpath_common+0x7d/0xa0
[ 9620.837435]  [<ffffffff8106784c>] warn_slowpath_fmt+0x4c/0x50
[ 9620.838061]  [<ffffffff81646566>] dev_watchdog+0x276/0x280
[ 9620.838578]  [<ffffffff816462f0>] ? dev_graft_qdisc+0x80/0x80
[ 9620.839099]  [<ffffffff810743b6>] call_timer_fn+0x36/0x100
[ 9620.839604]  [<ffffffff816462f0>] ? dev_graft_qdisc+0x80/0x80
[ 9620.840816]  [<ffffffff8107534f>] run_timer_softirq+0x1ef/0x2f0
[ 9620.841477]  [<ffffffff8106cc4c>] __do_softirq+0xec/0x2c0
[ 9620.841977]  [<ffffffff8106d195>] irq_exit+0x105/0x110
[ 9620.842463]  [<ffffffff81734a15>] smp_apic_timer_interrupt+0x45/0x60
[ 9620.843029]  [<ffffffff8173339d>] apic_timer_interrupt+0x6d/0x80
[ 9620.843562]  <EOI>  [<ffffffff8104f596>] ? native_safe_halt+0x6/0x10
[ 9620.844031]  [<ffffffff8101caaf>] default_idle+0x1f/0xc0
[ 9620.844527]  [<ffffffff8101d376>] arch_cpu_idle+0x26/0x30
[ 9620.845028]  [<ffffffff810befa5>] cpu_startup_entry+0xc5/0x290
[ 9620.845554]  [<ffffffff81710037>] rest_init+0x77/0x80
[ 9620.846047]  [<ffffffff81d35f70>] start_kernel+0x438/0x443
[ 9620.846552]  [<ffffffff81d35941>] ? repair_env_string+0x5c/0x5c
[ 9620.847083]  [<ffffffff81d35120>] ? early_idt_handlers+0x120/0x120
[ 9620.847629]  [<ffffffff81d355ee>] x86_64_start_reservations+0x2a/0x2c
[ 9620.848030]  [<ffffffff81d35733>] x86_64_start_kernel+0x143/0x152
[ 9620.848707] ---[ end trace 927d0e1990ebd40d ]---
[ 9620.849324] e1000 0000:00:03.0 eth0: Reset adapter
[ 9620.908485] e1000: eth0 NIC Link is Up 1000 Mbps Full Duplex, Flow Control: RX
[ 9763.620983] general protection fault: 0000 [#2] SMP
[ 9763.621886] Modules linked in: vboxsf(OX) nfsd auth_rpcgss nfs_acl nfs lockd sunrpc fscache dm_crypt ppdev video parport_pc parport serio_raw vboxguest(OX) ahci libahci psmouse e1000
[ 9763.624043] CPU: 1 PID: 8030 Comm: node Tainted: G      D W  OX 3.13.0-49-generic #83-Ubuntu
[ 9763.624043] Hardware name: innotek GmbH VirtualBox/VirtualBox, BIOS VirtualBox 12/01/2006
[ 9763.624043] task: ffff88003e4ec800 ti: ffff8800376e0000 task.ti: ffff8800376e0000
[ 9763.624043] RIP: 0010:[<ffffffffa009d133>]  [<ffffffffa009d133>] VbglR0HGCMInternalCall+0x3f3/0xe70 [vboxguest]
[ 9763.624043] RSP: 0018:ffff8800376e1bc0  EFLAGS: 00010296
[ 9763.624043] RAX: 0000000000000000 RBX: 0000000000000040 RCX: 0000000002304cce
[ 9763.624043] RDX: 0000000002304ccd RSI: 00000000000162a0 RDI: 0000000000000000
[ 9763.624043] RBP: 354ae00000000000 R08: 00000000000162a0 R09: ffff8800415162a0
[ 9763.624043] R10: ffffea000009c740 R11: ffffffffa00a0b4a R12: 00000db9376e1cf0
[ 9763.624043] R13: 0000000300000000 R14: 00000154a00be504 R15: 0000000000000000
[ 9763.624043] FS:  00007f7c21f25700(0000) GS:ffff880041500000(0000) knlGS:0000000000000000
[ 9763.624043] CS:  0010 DS: 0000 ES: 0000 CR0: 000000008005003b
[ 9763.624043] CR2: 00007f2223122000 CR3: 0000000037676000 CR4: 00000000000006e0
[ 9763.624043] Stack:
[ 9763.624043]  bc29340013db51be bc29340013db4d4a bc29340013db4d4a 001041ed13db4d4a
[ 9763.624043]  000001f500000002 0000000a00000050 001f06d501000007 0000000000000000
[ 9763.624043]  0000000000000000 ffffffffa00be500 ffff8800376e1c98 ffffffffa009ab3a
[ 9763.624043] Call Trace:
[ 9763.624043]  [<ffffffffa009ab3a>] ? VBoxGuestCommonIOCtl+0x22a/0x1b90 [vboxguest]
[ 9763.624043]  [<ffffffffa0098212>] ? VBoxGuestIDCCall+0x52/0x70 [vboxguest]
[ 9763.624043]  [<ffffffffa01f3696>] ? vbglDriverIOCtl+0x16/0x20 [vboxsf]
[ 9763.624043]  [<ffffffffa01f4301>] ? VbglHGCMCall+0x41/0x90 [vboxsf]
[ 9763.624043]  [<ffffffffa01f48ee>] ? vboxCallCreate+0x7e/0xa0 [vboxsf]
[ 9763.624043]  [<ffffffff81098279>] ? ttwu_do_wakeup+0x19/0xc0
[ 9763.624043]  [<ffffffffa01f288d>] ? sf_stat+0x5d/0x100 [vboxsf]
[ 9763.624043]  [<ffffffffa01f29b1>] ? sf_inode_revalidate+0x81/0xd0 [vboxsf]
[ 9763.624043]  [<ffffffffa01f2a4e>] ? sf_getattr+0x1e/0x40 [vboxsf]
[ 9763.624043]  [<ffffffff81314f43>] ? apparmor_inode_getattr+0x43/0x50
[ 9763.624043]  [<ffffffff811c2ba9>] ? vfs_getattr_nosec+0x29/0x40
[ 9763.624043]  [<ffffffff811c2c7d>] ? vfs_getattr+0x2d/0x40
[ 9763.624043]  [<ffffffff811c2d52>] ? vfs_fstatat+0x62/0xa0
[ 9763.624043]  [<ffffffff811c31df>] ? SYSC_newstat+0x1f/0x40
[ 9763.624043]  [<ffffffff811be05c>] ? vfs_write+0x15c/0x1f0
[ 9763.624043]  [<ffffffff811bea1c>] ? SyS_write+0x7c/0xa0
[ 9763.624043]  [<ffffffff811c342e>] ? SyS_newstat+0xe/0x10
[ 9763.624043]  [<ffffffff8173263d>] ? system_call_fastpath+0x1a/0x1f
[ 9763.624043] Code: 1d 00 00 4a 8b bc 25 f8 fe ff ff e8 c8 18 00 00 85 db 8d 43 ff 75 d1 44 89 e8 48 81 c4 88 01 00 00 5b 41 5c 41 5d 41 5e 41 5f 5d <c3> 0f 1f 40 00 41 81 7c 24 04 00 00 00 01 0f 86 91 fd ff ff 41
[ 9763.624043] RIP  [<ffffffffa009d133>] VbglR0HGCMInternalCall+0x3f3/0xe70 [vboxguest]
[ 9763.624043]  RSP <ffff8800376e1bc0>
[ 9763.655337] ---[ end trace 927d0e1990ebd40e ]---
[12411.593002] general protection fault: 0000 [#3] SMP
[12411.594250] Modules linked in: vboxsf(OX) nfsd auth_rpcgss nfs_acl nfs lockd sunrpc fscache dm_crypt ppdev video parport_pc parport serio_raw vboxguest(OX) ahci libahci psmouse e1000
[12411.596979] CPU: 1 PID: 8032 Comm: node Tainted: G      D W  OX 3.13.0-49-generic #83-Ubuntu
[12411.596979] Hardware name: innotek GmbH VirtualBox/VirtualBox, BIOS VirtualBox 12/01/2006
[12411.596979] task: ffff8800371ee000 ti: ffff88003dee8000 task.ti: ffff88003dee8000
[12411.596979] RIP: 0010:[<ffffffffa009d133>]  [<ffffffffa009d133>] VbglR0HGCMInternalCall+0x3f3/0xe70 [vboxguest]
[12411.596979] RSP: 0018:ffff88003dee9bc0  EFLAGS: 00010296
[12411.596979] RAX: 0000000000000000 RBX: 0000000000000040 RCX: 0000000003075808
[12411.596979] RDX: 0000000003075807 RSI: 00000000000162a0 RDI: 0000000000000000
[12411.596979] RBP: 354ae00000000000 R08: 00000000000162a0 R09: ffff8800415162a0
[12411.596979] R10: ffffea000009c740 R11: ffffffffa00a0b4a R12: 00000dba3dee9cf0
[12411.596979] R13: 0000000300000000 R14: 00000088a00be504 R15: 0000000000000000
[12411.596979] FS:  00007f7c20f23700(0000) GS:ffff880041500000(0000) knlGS:0000000000000000
[12411.596979] CS:  0010 DS: 0000 ES: 0000 CR0: 000000008005003b
[12411.596979] CR2: 00007f2223122000 CR3: 0000000037676000 CR4: 00000000000006e0
[12411.596979] Stack:
[12411.596979]  ff0afc0013db51be ff0afc0013db4d8a ff0afc0013db4d8a 001041ed13db4d8a
[12411.596979]  000001f500000002 0000000400000050 001f076301000007 0000000000000000
[12411.596979]  0000000000000000 ffffffffa00be500 ffff88003dee9c98 ffffffffa009ab3a
[12411.596979] Call Trace:
[12411.596979]  [<ffffffffa009ab3a>] ? VBoxGuestCommonIOCtl+0x22a/0x1b90 [vboxguest]
[12411.596979]  [<ffffffffa0098212>] ? VBoxGuestIDCCall+0x52/0x70 [vboxguest]
[12411.596979]  [<ffffffffa01f3696>] ? vbglDriverIOCtl+0x16/0x20 [vboxsf]
[12411.596979]  [<ffffffffa01f4301>] ? VbglHGCMCall+0x41/0x90 [vboxsf]
[12411.596979]  [<ffffffffa01f48ee>] ? vboxCallCreate+0x7e/0xa0 [vboxsf]
[12411.596979]  [<ffffffffa01f288d>] ? sf_stat+0x5d/0x100 [vboxsf]
[12411.596979]  [<ffffffffa01f29b1>] ? sf_inode_revalidate+0x81/0xd0 [vboxsf]
[12411.596979]  [<ffffffff810d91b1>] ? futex_wake+0x1b1/0x1d0
[12411.596979]  [<ffffffffa01f2a4e>] ? sf_getattr+0x1e/0x40 [vboxsf]
[12411.596979]  [<ffffffff81314f43>] ? apparmor_inode_getattr+0x43/0x50
[12411.596979]  [<ffffffff811c2ba9>] ? vfs_getattr_nosec+0x29/0x40
[12411.596979]  [<ffffffff811c2c7d>] ? vfs_getattr+0x2d/0x40
[12411.596979]  [<ffffffff811c2d52>] ? vfs_fstatat+0x62/0xa0
[12411.596979]  [<ffffffff811c31df>] ? SYSC_newstat+0x1f/0x40
[12411.596979]  [<ffffffff810db971>] ? SyS_futex+0x71/0x150
[12411.596979]  [<ffffffff811bea1c>] ? SyS_write+0x7c/0xa0
[12411.596979]  [<ffffffff811c342e>] ? SyS_newstat+0xe/0x10
[12411.596979]  [<ffffffff8173263d>] ? system_call_fastpath+0x1a/0x1f
[12411.596979] Code: 1d 00 00 4a 8b bc 25 f8 fe ff ff e8 c8 18 00 00 85 db 8d 43 ff 75 d1 44 89 e8 48 81 c4 88 01 00 00 5b 41 5c 41 5d 41 5e 41 5f 5d <c3> 0f 1f 40 00 41 81 7c 24 04 00 00 00 01 0f 86 91 fd ff ff 41
[12411.596979] RIP  [<ffffffffa009d133>] VbglR0HGCMInternalCall+0x3f3/0xe70 [vboxguest]
[12411.596979]  RSP <ffff88003dee9bc0>
[12411.626169] ---[ end trace 927d0e1990ebd40f ]---
[15818.552412] BUG: unable to handle kernel paging request at ffff88000009ac50
[15818.553631] IP: [<ffffffffa009d55b>] VbglR0HGCMInternalCall+0x81b/0xe70 [vboxguest]
[15818.555233] PGD 1fe2067 PUD 1fe3067 PMD 1fe4067 PTE 9a161
[15818.556175] Oops: 0003 [#4] SMP
[15818.556175] Modules linked in: vboxsf(OX) nfsd auth_rpcgss nfs_acl nfs lockd sunrpc fscache dm_crypt ppdev video parport_pc parport serio_raw vboxguest(OX) ahci libahci psmouse e1000
[15818.556175] CPU: 1 PID: 9311 Comm: node Tainted: G      D W  OX 3.13.0-49-generic #83-Ubuntu
[15818.556175] Hardware name: innotek GmbH VirtualBox/VirtualBox, BIOS VirtualBox 12/01/2006
[15818.556175] task: ffff88003e44b000 ti: ffff880000076000 task.ti: ffff880000076000
[15818.556175] RIP: 0010:[<ffffffffa009d55b>]  [<ffffffffa009d55b>] VbglR0HGCMInternalCall+0x81b/0xe70 [vboxguest]
[15818.556175] RSP: 0018:ffff880000077858  EFLAGS: 00010293
[15818.556175] RAX: 0000000000000000 RBX: ffff88000009ac50 RCX: 0000000000000000
[15818.556175] RDX: 0000000000001176 RSI: 0000000000000202 RDI: 0000000000000202
[15818.556175] RBP: ffff880000077a08 R08: 00000000ffffff1c R09: ffff88003d430338
[15818.556175] R10: 0000000000000000 R11: 0000000000000030 R12: 0000000000002310
[15818.556175] R13: 0000000000000000 R14: 00000000001f06c9 R15: ffff88003d453464
[15818.556175] FS:  00007f256b7fe700(0000) GS:ffff880041500000(0000) knlGS:0000000000000000
[15818.556175] CS:  0010 DS: 0000 ES: 0000 CR0: 000000008005003b
[15818.556175] CR2: ffff88000009ac50 CR3: 000000003769d000 CR4: 00000000000006e0
[15818.556175] Stack:
[15818.556175]  ffff88003e39a610 0000000000000000 0000000200000002 ffff88003d430384
[15818.556175]  ffff880000077b70 ffffffffa00be500 ffffffffa00994c0 ffff880000077b50
[15818.556175]  ffff88003d4303a4 0000000000000001 ffff88003e39ad90 ffff88003d430338
[15818.556175] Call Trace:
[15818.556175]  [<ffffffffa00994c0>] ? VBoxGuestHGCMAsyncWaitCallbackWorker+0x250/0x250 [vboxguest]
[15818.556175]  [<ffffffffa00a0a1d>] ? rtR0MemAllocEx+0x17d/0x250 [vboxguest]
[15818.556175]  [<ffffffffa00a0a1d>] ? rtR0MemAllocEx+0x17d/0x250 [vboxguest]
[15818.556175]  [<ffffffff810ab120>] ? prepare_to_wait_event+0x100/0x100
[15818.556175]  [<ffffffffa0099857>] ? VBoxGuestCommonIOCtl_HGCMCall+0x287/0x310 [vboxguest]
[15818.556175]  [<ffffffffa009ab3a>] ? VBoxGuestCommonIOCtl+0x22a/0x1b90 [vboxguest]
[15818.556175]  [<ffffffffa0099857>] VBoxGuestCommonIOCtl_HGCMCall+0x287/0x310 [vboxguest]
[15818.556175]  [<ffffffffa009ab3a>] VBoxGuestCommonIOCtl+0x22a/0x1b90 [vboxguest]
[15818.556175]  [<ffffffffa01f48ee>] ? vboxCallCreate+0x7e/0xa0 [vboxsf]
[15818.556175]  [<ffffffffa01f288d>] ? sf_stat+0x5d/0x100 [vboxsf]
[15818.556175]  [<ffffffffa01f29b1>] ? sf_inode_revalidate+0x81/0xd0 [vboxsf]
[15818.556175]  [<ffffffff811c8f02>] ? __inode_permission+0x52/0xc0
[15818.556175]  [<ffffffff811c8f88>] ? inode_permission+0x18/0x50
[15818.556175]  [<ffffffff811d6f20>] ? __d_lookup+0x120/0x160
[15818.556175]  [<ffffffffa01f2a18>] ? sf_dentry_revalidate+0x18/0x30 [vboxsf]
[15818.556175]  [<ffffffff811c8afd>] ? lookup_fast+0x26d/0x2c0
[15818.556175]  [<ffffffff8101bc23>] ? native_sched_clock+0x13/0x80
[15818.556175]  [<ffffffff811cb4c5>] ? path_lookupat+0x155/0x790
[15818.556175]  [<ffffffff811a3004>] ? kmem_cache_alloc+0x84/0x1e0
[15818.556175]  [<ffffffff811cde8f>] ? getname_flags+0x4f/0x190
[15818.556175]  [<ffffffff811cbb2b>] ? filename_lookup+0x2b/0xc0
[15818.556175]  [<ffffffff811ceb64>] ? user_path_at_empty+0x54/0x90
[15818.556175]  [<ffffffff810d91b1>] ? futex_wake+0x1b1/0x1d0
[15818.556175]  [<ffffffff811cebb1>] ? user_path_at+0x11/0x20
[15818.556175]  [<ffffffff811c2d40>] ? vfs_fstatat+0x50/0xa0
[15818.556175]  [<ffffffff811c31df>] ? SYSC_newstat+0x1f/0x40
[15818.556175]  [<ffffffff81725ad1>] ? __schedule+0x381/0x7d0
[15818.556175]  [<ffffffff811c342e>] ? SyS_newstat+0xe/0x10
[15818.556175]  [<ffffffff8173263d>] ? system_call_fastpath+0x1a/0x1f
[15818.556175] Code: c0 0f 88 47 05 00 00 41 8b 47 04 44 8b 85 c0 fe ff ff 41 83 c5 01 8b 8d b8 fe ff ff 89 43 04 e9 4b ff ff ff 0f 1f 40 00 49 8b 07 <48> 89 03 49 8b 47 08 48 89 43 08 e9 34 ff ff ff 0f 1f 44 00 00
[15818.556175] RIP  [<ffffffffa009d55b>] VbglR0HGCMInternalCall+0x81b/0xe70 [vboxguest]
[15818.556175]  RSP <ffff880000077858>
[15818.556175] CR2: ffff88000009ac50
[15818.556175] ---[ end trace 927d0e1990ebd410 ]---
[16096.620939] general protection fault: 0000 [#5] SMP
[16096.621923] Modules linked in: vboxsf(OX) nfsd auth_rpcgss nfs_acl nfs lockd sunrpc fscache dm_crypt ppdev video parport_pc parport serio_raw vboxguest(OX) ahci libahci psmouse e1000
[16096.624594] CPU: 1 PID: 9309 Comm: node Tainted: G      D W  OX 3.13.0-49-generic #83-Ubuntu
[16096.624594] Hardware name: innotek GmbH VirtualBox/VirtualBox, BIOS VirtualBox 12/01/2006
[16096.624594] task: ffff88003e44c800 ti: ffff88003dd26000 task.ti: ffff88003dd26000
[16096.624594] RIP: 0010:[<ffffffff81729b0d>]  [<ffffffff81729b0d>] _raw_spin_lock+0x1d/0x50
[16096.624594] RSP: 0018:ffff88003dd27b48  EFLAGS: 00010246
[16096.624594] RAX: 00000000a132a132 RBX: ffff880015f64c00 RCX: 0000000000000000
[16096.624594] RDX: 000000000000a132 RSI: ffff880015f60588 RDI: ffff880015f64c58
[16096.624594] RBP: 0000001400000050 R08: 0000000000000000 R09: 0000000000000000
[16096.624594] R10: 0000000000000000 R11: ffffffffa00a0b4a R12: ffff880015f60490
[16096.624594] R13: ffff880015f64c58 R14: ffff88003dd27bb8 R15: ffff880015f64000
[16096.624594] FS:  00007f2570e24700(0000) GS:ffff880041500000(0000) knlGS:0000000000000000
[16096.624594] CS:  0010 DS: 0000 ES: 0000 CR0: 000000008005003b
[16096.624594] CR2: 00000000011f1008 CR3: 000000003769d000 CR4: 00000000000006e0
[16096.624594] Stack:
[16096.624594]  001e324a01000007 0000000000000000 0000000000000000 ffff880015f64c58
[16096.624594]  ffff88003dd27ba0 ffffffff811d4db0 ffff88003dd27bb8 ffff88003dbee300
[16096.624594]  ffff88003dbee300 ffff88003dd27dd0 0000000000000000 ffff88003dd27be0
[16096.624594] Call Trace:
[16096.624594]  [<ffffffff811d4db0>] ? shrink_dentry_list+0x110/0x2a0
[16096.624594]  [<ffffffff811d5d08>] ? shrink_dcache_parent+0x28/0x70
[16096.624594]  [<ffffffff811d5d92>] ? d_invalidate+0x42/0xa0
[16096.624594]  [<ffffffff811c8acc>] ? lookup_fast+0x23c/0x2c0
[16096.624594]  [<ffffffff812d71cc>] ? security_inode_permission+0x1c/0x30
[16096.624594]  [<ffffffff811c8f02>] ? __inode_permission+0x52/0xc0
[16096.624594]  [<ffffffff811caca3>] ? link_path_walk+0x1a3/0x870
[16096.624594]  [<ffffffff810a51cd>] ? enqueue_entity+0x2ad/0xbb0
[16096.624594]  [<ffffffff811cb3cb>] ? path_lookupat+0x5b/0x790
[16096.624594]  [<ffffffff81098279>] ? ttwu_do_wakeup+0x19/0xc0
[16096.624594]  [<ffffffff810983cd>] ? ttwu_do_activate.constprop.74+0x5d/0x70
[16096.624594]  [<ffffffff811a3004>] ? kmem_cache_alloc+0x84/0x1e0
[16096.624594]  [<ffffffff811cde8f>] ? getname_flags+0x4f/0x190
[16096.624594]  [<ffffffff811cbb2b>] ? filename_lookup+0x2b/0xc0
[16096.624594]  [<ffffffff811ceb64>] ? user_path_at_empty+0x54/0x90
[16096.624594]  [<ffffffff810aaa38>] ? __wake_up_common+0x58/0x90
[16096.624594]  [<ffffffff811ffcd1>] ? fsnotify+0x241/0x320
[16096.624594]  [<ffffffff811cebb1>] ? user_path_at+0x11/0x20
[16096.624594]  [<ffffffff811c2d40>] ? vfs_fstatat+0x50/0xa0
[16096.624594]  [<ffffffff811c31df>] ? SYSC_newstat+0x1f/0x40
[16096.624594]  [<ffffffff811be05c>] ? vfs_write+0x15c/0x1f0
[16096.624594]  [<ffffffff811bea1c>] ? SyS_write+0x7c/0xa0
[16096.624594]  [<ffffffff811c342e>] ? SyS_newstat+0xe/0x10
[16096.624594]  [<ffffffff8173263d>] ? system_call_fastpath+0x1a/0x1f
[16096.624594] Code: 19 ff ff eb db 66 0f 1f 84 00 00 00 00 00 0f 1f 44 00 00 55 48 89 e5 b8 00 00 02 00 f0 0f c1 07 89 c2 c1 ea 10 66 39 c2 75 02 5d <c3> 83 e2 fe 0f b7 f2 b8 00 80 00 00 eb 0c 0f 1f 44 00 00 f3 90
[16096.624594] RIP  [<ffffffff81729b0d>] _raw_spin_lock+0x1d/0x50
[16096.624594]  RSP <ffff88003dd27b48>
[16096.669247] ---[ end trace 927d0e1990ebd411 ]---

comment:4 Changed 4 years ago by sleepycal

And another..

[ 1452.853024] BUG: unable to handle kernel paging request at ffff88003efb2bd0
[ 1452.853693] IP: [<ffffffffa006e55b>] VbglR0HGCMInternalCall+0x81b/0xe70 [vboxguest]
[ 1452.854151] PGD 1fe1067 PUD 1fe2067 PMD 3e5c4063 PTE 800000003efb2161
[ 1452.854623] Oops: 0003 [#1] SMP
[ 1452.854831] Modules linked in: vboxsf(OX) nfsd auth_rpcgss nfs_acl nfs lockd sunrpc fscache dm_crypt ppdev parport_pc parport serio_raw video vboxguest(OX) psmouse ahci libahci e1000
[ 1452.855948] CPU: 1 PID: 5600 Comm: node Tainted: G           OX 3.13.0-46-generic #79-Ubuntu
[ 1452.856380] Hardware name: innotek GmbH VirtualBox/VirtualBox, BIOS VirtualBox 12/01/2006
[ 1452.856380] task: ffff88003d7a8000 ti: ffff88003efa8000 task.ti: ffff88003efa8000
[ 1452.856380] RIP: 0010:[<ffffffffa006e55b>]  [<ffffffffa006e55b>] VbglR0HGCMInternalCall+0x81b/0xe70 [vboxguest]
[ 1452.856380] RSP: 0018:ffff88003efa9858  EFLAGS: 00010293
[ 1452.856380] RAX: 0000000500000001 RBX: ffff88003efb2bd0 RCX: 0000000000000000
[ 1452.856380] RDX: 0000000000001cc6 RSI: 0000000000000202 RDI: 0000000000000202
[ 1452.856380] RBP: ffff88003efa9a08 R08: 00000000ffffff1c R09: ffff88003dee014c
[ 1452.856380] R10: 0000000000000000 R11: 0000000000000030 R12: 0000000000000908
[ 1452.856380] R13: 0000000000000000 R14: 00000000001e324a R15: ffff88003dee91f8
[ 1452.856380] FS:  00002b77d310e700(0000) GS:ffff880041500000(0000) knlGS:0000000000000000
[ 1452.856380] CS:  0010 DS: 0000 ES: 0000 CR0: 000000008005003b
[ 1452.856380] CR2: ffff88003efb2bd0 CR3: 000000003ef75000 CR4: 00000000000006e0
[ 1452.856380] Stack:
[ 1452.856380]  ffff88003deb7810 0000000000000000 0000000200000002 ffff88003dee0198
[ 1452.856380]  ffff88003efa9b70 ffffffffa008f500 ffffffffa006a4c0 ffff88003efa9b50
[ 1452.856380]  ffff88003dee01b8 0000000000000001 ffff88003deb7d90 ffff88003dee014c
[ 1452.856380] Call Trace:
[ 1452.856380]  [<ffffffffa006a4c0>] ? VBoxGuestHGCMAsyncWaitCallbackWorker+0x250/0x250 [vboxguest]
[ 1452.856380]  [<ffffffff810ab100>] ? prepare_to_wait_event+0x100/0x100
[ 1452.856380]  [<ffffffffa006a857>] ? VBoxGuestCommonIOCtl_HGCMCall+0x287/0x310 [vboxguest]
[ 1452.856380]  [<ffffffffa006bb3a>] ? VBoxGuestCommonIOCtl+0x22a/0x1b90 [vboxguest]
[ 1452.856380]  [<ffffffffa006a857>] VBoxGuestCommonIOCtl_HGCMCall+0x287/0x310 [vboxguest]
[ 1452.856380]  [<ffffffffa006bb3a>] VBoxGuestCommonIOCtl+0x22a/0x1b90 [vboxguest]
[ 1452.856380]  [<ffffffffa01ef8ee>] ? vboxCallCreate+0x7e/0xa0 [vboxsf]
[ 1452.856380]  [<ffffffffa01ed88d>] ? sf_stat+0x5d/0x100 [vboxsf]
[ 1452.856380]  [<ffffffffa01ed9b1>] ? sf_inode_revalidate+0x81/0xd0 [vboxsf]
[ 1452.856380]  [<ffffffff811c8dd2>] ? __inode_permission+0x52/0xc0
[ 1452.856380]  [<ffffffff811c8e58>] ? inode_permission+0x18/0x50
[ 1452.856380]  [<ffffffff811d6df0>] ? __d_lookup+0x120/0x160
[ 1452.856380]  [<ffffffffa01eda18>] ? sf_dentry_revalidate+0x18/0x30 [vboxsf]
[ 1452.856380]  [<ffffffff811c89cd>] ? lookup_fast+0x26d/0x2c0
[ 1452.856380]  [<ffffffff811cb395>] ? path_lookupat+0x155/0x790
[ 1452.856380]  [<ffffffff81098259>] ? ttwu_do_wakeup+0x19/0xc0
[ 1452.856380]  [<ffffffff810983ad>] ? ttwu_do_activate.constprop.74+0x5d/0x70
[ 1452.856380]  [<ffffffff811a2ed4>] ? kmem_cache_alloc+0x84/0x1e0
[ 1452.856380]  [<ffffffff811cdd5f>] ? getname_flags+0x4f/0x190
[ 1452.856380]  [<ffffffff811cb9fb>] ? filename_lookup+0x2b/0xc0
[ 1452.856380]  [<ffffffff811cea34>] ? user_path_at_empty+0x54/0x90
[ 1452.856380]  [<ffffffff810aaa18>] ? __wake_up_common+0x58/0x90
[ 1452.856380]  [<ffffffff811ffb41>] ? fsnotify+0x241/0x320
[ 1452.856380]  [<ffffffff811cea81>] ? user_path_at+0x11/0x20
[ 1452.856380]  [<ffffffff811c2c10>] ? vfs_fstatat+0x50/0xa0
[ 1452.856380]  [<ffffffff811c30af>] ? SYSC_newstat+0x1f/0x40
[ 1452.856380]  [<ffffffff811bdf2c>] ? vfs_write+0x15c/0x1f0
[ 1452.856380]  [<ffffffff811be8ec>] ? SyS_write+0x7c/0xa0
[ 1452.856380]  [<ffffffff811c32fe>] ? SyS_newstat+0xe/0x10
[ 1452.856380]  [<ffffffff81731d7d>] ? system_call_fastpath+0x1a/0x1f
[ 1452.856380] Code: c0 0f 88 47 05 00 00 41 8b 47 04 44 8b 85 c0 fe ff ff 41 83 c5 01 8b 8d b8 fe ff ff 89 43 04 e9 4b ff ff ff 0f 1f 40 00 49 8b 07 <48> 89 03 49 8b 47 08 48 89 43 08 e9 34 ff ff ff 0f 1f 44 00 00
[ 1452.856380] RIP  [<ffffffffa006e55b>] VbglR0HGCMInternalCall+0x81b/0xe70 [vboxguest]
[ 1452.856380]  RSP <ffff88003efa9858>
[ 1452.856380] CR2: ffff88003efb2bd0
[ 1452.856380] ---[ end trace c787be4bc46b1650 ]---
[ 5473.684330] BUG: unable to handle kernel NULL pointer dereference at 00000000000000a0
[ 5473.685660] IP: [<ffffffff811d9980>] iput+0x50/0x180
[ 5473.686471] PGD 3dc5f067 PUD 3d889067 PMD 0
[ 5473.687209] Oops: 0000 [#2] SMP
[ 5473.687816] Modules linked in: vboxsf(OX) nfsd auth_rpcgss nfs_acl nfs lockd sunrpc fscache dm_crypt ppdev parport_pc parport serio_raw video vboxguest(OX) psmouse ahci libahci e1000
[ 5473.688213] CPU: 1 PID: 5854 Comm: node Tainted: G      D    OX 3.13.0-46-generic #79-Ubuntu
[ 5473.688213] Hardware name: innotek GmbH VirtualBox/VirtualBox, BIOS VirtualBox 12/01/2006
[ 5473.688213] task: ffff88003d104800 ti: ffff88003dc8a000 task.ti: ffff88003dc8a000
[ 5473.688213] RIP: 0010:[<ffffffff811d9980>]  [<ffffffff811d9980>] iput+0x50/0x180
[ 5473.688213] RSP: 0018:ffff88003dc8bb20  EFLAGS: 00010202
[ 5473.688213] RAX: 0000000000000001 RBX: 0000000000000000 RCX: ffff880015265008
[ 5473.688213] RDX: 000000000000000a RSI: ffff880036aed080 RDI: ffff880036aed080
[ 5473.688213] RBP: ffff880000000000 R08: 00000000000162a0 R09: ffff8800415162a0
[ 5473.688213] R10: ffffea0000f49f00 R11: ffffffffa0071b4a R12: ffff880036aed080
[ 5473.688213] R13: ffff88003688ab98 R14: ffff88003dc8bbb8 R15: ffff88003688ab40
[ 5473.688213] FS:  00002b1000ce9700(0000) GS:ffff880041500000(0000) knlGS:0000000000000000
[ 5473.688213] CS:  0010 DS: 0000 ES: 0000 CR0: 000000008005003b
[ 5473.688213] CR2: 00000000000000a0 CR3: 000000003ef75000 CR4: 00000000000006e0
[ 5473.688213] Stack:
[ 5473.688213]  130fac0013db72ac 130fac0013db72ac 001041ed13db72ac 000001f500000002
[ 5473.688213]  0000000500000050 001f0aef01000007 0000000000000000 0000000000000000
[ 5473.688213]  ffff88003688ab98 ffff88003dc8bba0 ffffffff811d4c54 ffff88003dc8bbb8
[ 5473.688213] Call Trace:
[ 5473.688213]  [<ffffffff811d4c54>] ? shrink_dentry_list+0xe4/0x2a0
[ 5473.688213]  [<ffffffff811d5bd8>] ? shrink_dcache_parent+0x28/0x70
[ 5473.688213]  [<ffffffff811d5c62>] ? d_invalidate+0x42/0xa0
[ 5473.688213]  [<ffffffff811c899c>] ? lookup_fast+0x23c/0x2c0
[ 5473.688213]  [<ffffffff812d6cbc>] ? security_inode_permission+0x1c/0x30
[ 5473.688213]  [<ffffffff811c8dd2>] ? __inode_permission+0x52/0xc0
[ 5473.688213]  [<ffffffff811cab73>] ? link_path_walk+0x1a3/0x870
[ 5473.688213]  [<ffffffff8101bc23>] ? native_sched_clock+0x13/0x80
[ 5473.688213]  [<ffffffff811cb29b>] ? path_lookupat+0x5b/0x790
[ 5473.688213]  [<ffffffff811a2ed4>] ? kmem_cache_alloc+0x84/0x1e0
[ 5473.688213]  [<ffffffff811cdd5f>] ? getname_flags+0x4f/0x190
[ 5473.688213]  [<ffffffff811cb9fb>] ? filename_lookup+0x2b/0xc0
[ 5473.688213]  [<ffffffff811cea34>] ? user_path_at_empty+0x54/0x90
[ 5473.688213]  [<ffffffff810d9171>] ? futex_wake+0x1b1/0x1d0
[ 5473.688213]  [<ffffffff811cea81>] ? user_path_at+0x11/0x20
[ 5473.688213]  [<ffffffff811c2c10>] ? vfs_fstatat+0x50/0xa0
[ 5473.688213]  [<ffffffff811c30af>] ? SYSC_newstat+0x1f/0x40
[ 5473.688213]  [<ffffffff81725261>] ? __schedule+0x381/0x7d0
[ 5473.688213]  [<ffffffff811c32fe>] ? SyS_newstat+0xe/0x10
[ 5473.688213]  [<ffffffff81731d7d>] ? system_call_fastpath+0x1a/0x1f
[ 5473.688213] Code: 4c 8d a7 88 00 00 00 48 8d bf 30 01 00 00 4c 89 e6 e8 e5 ac 18 00 85 c0 75 11 5b 41 5c 41 5d 41 5e 5d c3 0f 1f 84 00 00 00 00 00 <f6> 83 a0 00 00 00 08 4c 8b 6b 28 4d 8b 75 30 0f 85 e5 00 00 00
[ 5473.688213] RIP  [<ffffffff811d9980>] iput+0x50/0x180
[ 5473.688213]  RSP <ffff88003dc8bb20>
[ 5473.688213] CR2: 00000000000000a0
[ 5473.718150] ---[ end trace c787be4bc46b1651 ]---
[ 9233.596564] hrtimer: interrupt took 74819580 ns

comment:5 Changed 4 years ago by alexw

I am encountering the same issue. Also on OS X and using vagrant, but using a more recent host OS and virtualbox version, with an older guest OS. So far, I've managed to reproduce the issue on three different versions of virtualbox. Like the original poster, the issue seems to be triggered by use of shared folders. I've encountered it while installing packages via npm, as well as when running gunicorn with the --reload flag.

guest machine:

Linux vagrant-ubuntu-precise-64 3.2.0-83-virtual #120-Ubuntu SMP Wed Apr 29 15:49:07 UTC 2015 x86_64 x86_64 x86_64 GNU/Linux

host machine:

OS X Yosemite 10.10.3, MacBook Pro (Retina, 13-inch, Early 2015)

tested versions of virtualbox:

VirtualBox 4.3.26

VirtualBox 4.3.28

VirtualBox 5.0.0_BETA3

[ 4023.705948] general protection fault: 0000 [#1] SMP 
[ 4023.708283] CPU 1 
[ 4023.709830] Modules linked in: vboxsf(O) veth xt_tcpudp xt_addrtype xt_conntrack iptable_filter ipt_MASQUERADE iptable_nat nf_nat nf_conntrack_ipv4 nf_conntrack nf_defrag_ipv4 ip_tables x_tables bridge stp dm_thin_pool dm_persistent_data dm_bufio libcrc32c nfsd nfs lockd fscache auth_rpcgss nfs_acl sunrpc ppdev parport_pc video parport psmouse serio_raw vboxguest(O) e1000
[ 4023.725368] 
[ 4023.725694] Pid: 3862, comm: gunicorn Tainted: G           O 3.2.0-83-virtual #120-Ubuntu innotek GmbH VirtualBox/VirtualBox
[ 4023.731835] RIP: 0010:[<ffffffffa002e9b7>]  [<ffffffffa002e9b7>] VbgdCommonIoCtl+0x167/0x1a10 [vboxguest]
[ 4023.738965] RSP: 0018:ffff8800a6dd7a90  EFLAGS: 00010292
[ 4023.743557] RAX: 0000000000000000 RBX: 0000000000000040 RCX: 0000000005b6ddba
[ 4023.747208] RDX: 0000000005b6ddb9 RSI: 0000000000015580 RDI: 0000000000000000
[ 4023.751503] RBP: 8fa5d60000000000 R08: ffffea00029bb740 R09: ffffffffa00347aa
[ 4023.755804] R10: 0000000000000030 R11: 0000000000000040 R12: ffffffffa6dd7ae8
[ 4023.759950] R13: 00000003ffffffff R14: 0000074e00000001 R15: 0000000000000000
[ 4023.766254] FS:  00007fd5980fa700(0000) GS:ffff8800bfd00000(0000) knlGS:0000000000000000
[ 4023.771477] CS:  0010 DS: 0000 ES: 0000 CR0: 000000008005003b
[ 4023.774116] CR2: 00007f0935653024 CR3: 00000000a6e97000 CR4: 00000000000406e0
[ 4023.776906] DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
[ 4023.781586] DR3: 0000000000000000 DR6: 00000000ffff0ff0 DR7: 0000000000000400
[ 4023.787442] Process gunicorn (pid: 3862, threadinfo ffff8800a6dd6000, task ffff88009bc08000)
[ 4023.792468] Stack:
[ 4023.792829]  9c33420013de6b8c 9c33420013dc53eb 9c33420013dc53eb 001041ed13dc53eb
[ 4023.796940]  000001f600000002 0000003700000014 0017868101000004 0000000000000000
[ 4023.800389]  0000000000000000 ffff8800a6dd7b28 ffffffffa0294a82 0000000100000000
[ 4023.806282] Call Trace:
[ 4023.807891]  [<ffffffffa0294a82>] ? vboxCallCreate+0x72/0x80 [vboxsf]
[ 4023.813609]  [<ffffffffa029297d>] ? sf_stat+0x5d/0x100 [vboxsf]
[ 4023.817558]  [<ffffffffa0292aa3>] ? sf_inode_revalidate+0x83/0xd0 [vboxsf]
[ 4023.821272]  [<ffffffff8129f17c>] ? security_inode_permission+0x1c/0x30
[ 4023.825885]  [<ffffffff8165e9fe>] ? _raw_spin_lock+0xe/0x20
[ 4023.828885]  [<ffffffff81191db5>] ? __d_lookup+0x125/0x170
[ 4023.833470]  [<ffffffff81187701>] ? link_path_walk+0x1a1/0x870
[ 4023.835588]  [<ffffffffa0292b0e>] ? sf_dentry_revalidate+0x1e/0x30 [vboxsf]
[ 4023.840229]  [<ffffffff81186d0b>] ? do_lookup+0x18b/0x310
[ 4023.843757]  [<ffffffff81187eec>] ? path_lookupat+0x11c/0x750
[ 4023.847034]  [<ffffffffa029297d>] ? sf_stat+0x5d/0x100 [vboxsf]
[ 4023.851790]  [<ffffffff81188551>] ? do_path_lookup+0x31/0xc0
[ 4023.855221]  [<ffffffff81189869>] ? user_path_at_empty+0x59/0xa0
[ 4023.858028]  [<ffffffff8165e9fe>] ? _raw_spin_lock+0xe/0x20
[ 4023.861337]  [<ffffffff811971fe>] ? vfsmount_lock_local_unlock+0x1e/0x30
[ 4023.867642]  [<ffffffff8117e624>] ? cp_new_stat+0xe4/0xf0
[ 4023.871045]  [<ffffffff811898c1>] ? user_path_at+0x11/0x20
[ 4023.875312]  [<ffffffff8117e83a>] ? vfs_fstatat+0x3a/0x70
[ 4023.879383]  [<ffffffff8117e8ab>] ? vfs_stat+0x1b/0x20
[ 4023.881094]  [<ffffffff8117e9ea>] ? sys_newstat+0x1a/0x40
[ 4023.882224]  [<ffffffff81015741>] ? math_state_restore+0x51/0x80
[ 4023.883432]  [<ffffffff8165fb2e>] ? do_device_not_available+0xe/0x10
[ 4023.885261]  [<ffffffff8166914b>] ? device_not_available+0x1b/0x20
[ 4023.890273]  [<ffffffff81667142>] ? system_call_fastpath+0x16/0x1b
[ 4023.891520] Code: 74 12 49 c7 45 00 0c 00 00 00 66 2e 0f 1f 84 00 00 00 00 00 89 d8 4c 8b 65 e0 48 8b 5d d8 4c 8b 6d e8 4c 8b 75 f0 4c 8b 7d f8 c9 <c3> 0f 1f 84 00 00 00 00 00 49 83 f8 17 bb d7 ff ff ff 76 d5 49 
[ 4023.897747] RIP  [<ffffffffa002e9b7>] VbgdCommonIoCtl+0x167/0x1a10 [vboxguest]
[ 4023.903113]  RSP <ffff8800a6dd7a90>
[ 4023.905883] ---[ end trace 05678409363a3be4 ]---

Inevitably, the machine will lock up completely and I will get a stack trace like the following:

[ 7011.858983] BUG: unable to handle kernel NULL pointer dereference at 0000000000000008
[ 7011.864754] IP: [<ffffffff8118e618>] dentry_lru_move_list+0x48/0xb0
[ 7011.869394] PGD a6d81067 PUD a6dd6067 PMD 0 
[ 7011.872354] Oops: 0000 [#5] SMP 
[ 7011.874644] CPU 0 
[ 7011.875254] Modules linked in: vboxsf(O) veth xt_tcpudp xt_addrtype xt_conntrack iptable_filter ipt_MASQUERADE iptable_nat nf_nat nf_conntrack_ipv4 nf_conntrack nf_defrag_ipv4 ip_tables x_tables bridge stp dm_thin_pool dm_persistent_data dm_bufio libcrc32c nfsd nfs lockd fscache auth_rpcgss nfs_acl sunrpc ppdev parport_pc video parport psmouse serio_raw vboxguest(O) e1000
[ 7011.914892] 
[ 7011.916046] Pid: 6776, comm: gunicorn Tainted: G      D    O 3.2.0-83-virtual #120-Ubuntu innotek GmbH VirtualBox/VirtualBox
[ 7011.923053] RIP: 0010:[<ffffffff8118e618>]  [<ffffffff8118e618>] dentry_lru_move_list+0x48/0xb0
[ 7011.930172] RSP: 0018:ffff880096055a98  EFLAGS: 00010287
[ 7011.937618] RAX: ffff880081218200 RBX: ffff880081218180 RCX: ffff880072415d40
[ 7011.945961] RDX: ffff88009bb45d40 RSI: 0000000000000000 RDI: ffffffff81c04400
[ 7011.952922] RBP: ffff880096055aa8 R08: 000000000000001b R09: 0000000000000000
[ 7011.959813] R10: 0000000000000030 R11: 0000000000000040 R12: 0000000000000000
[ 7011.965470] R13: ffff88009bb45d50 R14: ffff8800813b4820 R15: ffff880081218210
[ 7011.982796] FS:  00007fd5980fa700(0000) GS:ffff8800bfc00000(0000) knlGS:0000000000000000
[ 7011.990050] CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
[ 7011.993332] CR2: 0000000000000008 CR3: 000000009608f000 CR4: 00000000000406f0
[ 7011.999876] DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
[ 7012.020396] DR3: 0000000000000000 DR6: 00000000ffff0ff0 DR7: 0000000000000400
[ 7012.023883] Process gunicorn (pid: 6776, threadinfo ffff880096054000, task ffff880096232de0)
[ 7012.027525] Stack:
[ 7012.031229]  ffff8800812181dc ffff8800813b4780 ffff880096055b28 ffffffff81190e7d
[ 7012.146912]  0000000e00000014 0017867101000004 0000000000000000 0000000000000000
[ 7012.155788]  ffff88009ba49780 ffff880096055fd8 0000001b00000000 ffff880081218180
[ 7012.178565] Call Trace:
[ 7012.199963]  [<ffffffff81190e7d>] select_parent+0x17d/0x2a0
[ 7012.262822]  [<ffffffff81190fe0>] shrink_dcache_parent+0x40/0x50
[ 7012.323194]  [<ffffffff81191041>] d_invalidate+0x51/0xc0
[ 7012.335152]  [<ffffffff81186d1e>] do_lookup+0x19e/0x310
[ 7012.388933]  [<ffffffff8129f17c>] ? security_inode_permission+0x1c/0x30
[ 7012.406775]  [<ffffffff81187698>] link_path_walk+0x138/0x870
[ 7012.435574]  [<ffffffff81186ccd>] ? do_lookup+0x14d/0x310
[ 7012.443955]  [<ffffffff811865d7>] ? path_init+0x1d7/0x420
[ 7012.445659]  [<ffffffff81187e28>] path_lookupat+0x58/0x750
[ 7012.448740]  [<ffffffff81188551>] do_path_lookup+0x31/0xc0
[ 7012.462493]  [<ffffffff81189869>] user_path_at_empty+0x59/0xa0
[ 7012.463668]  [<ffffffff812d97e4>] ? apparmor_inode_getattr+0x54/0x60
[ 7012.464940]  [<ffffffff8165e9fe>] ? _raw_spin_lock+0xe/0x20
[ 7012.465890]  [<ffffffff811971fe>] ? vfsmount_lock_local_unlock+0x1e/0x30
[ 7012.467147]  [<ffffffff8117e624>] ? cp_new_stat+0xe4/0xf0
[ 7012.468074]  [<ffffffff811898c1>] user_path_at+0x11/0x20
[ 7012.470730]  [<ffffffff8117e83a>] vfs_fstatat+0x3a/0x70
[ 7012.475659]  [<ffffffff8117e8ab>] vfs_stat+0x1b/0x20
[ 7012.479145]  [<ffffffff8117e9ea>] sys_newstat+0x1a/0x40
[ 7012.481516]  [<ffffffff81667142>] system_call_fastpath+0x16/0x1b
[ 7012.485996] Code: c0 81 49 89 f4 e8 f9 03 4d 00 48 8b 93 80 00 00 00 48 8d 83 80 00 00 00 48 39 d0 74 46 48 8b 8b 88 00 00 00 48 89 4a 08 48 89 11 <49> 8b 54 24 08 49 89 44 24 08 4c 89 a3 80 00 00 00 48 89 93 88 
[ 7012.497008] RIP  [<ffffffff8118e618>] dentry_lru_move_list+0x48/0xb0
[ 7012.499324]  RSP <ffff880096055a98>
[ 7012.502749] CR2: 0000000000000008
[ 7012.503668] ---[ end trace 05678409363a3be8 ]---
[ 7036.692290] BUG: soft lockup - CPU#0 stuck for 22s! [gunicorn:6785]
[ 7036.750095] Modules linked in: vboxsf(O) veth xt_tcpudp xt_addrtype xt_conntrack
[ 7036.798084] BUG: soft lockup - CPU#1 stuck for 22s! [gunicorn:6791]
[ 7036.798089] Modules linked in: vboxsf(O) veth xt_tcpudp xt_addrtype xt_conntrack iptable_filter ipt_MASQUERADE iptable_nat nf_nat nf_conntrack_ipv4 nf_conntrack nf_defrag_ipv4 ip_tables x_tables bridge stp dm_thin_pool dm_persistent_data dm_bufio libcrc32c nfsd nfs lockd fscache auth_rpcgss nfs_acl sunrpc ppdev parport_pc video parport psmouse serio_raw vboxguest(O) e1000
[ 7036.798112] CPU 1 
[ 7036.798135] Modules linked in: vboxsf(O) veth xt_tcpudp xt_addrtype xt_conntrack iptable_filter ipt_MASQUERADE iptable_nat nf_nat nf_conntrack_ipv4 nf_conntrack nf_defrag_ipv4 ip_tables x_tables bridge stp dm_thin_pool dm_persistent_data dm_bufio libcrc32c nfsd nfs lockd fscache auth_rpcgss nfs_acl sunrpc ppdev parport_pc video parport psmouse serio_raw vboxguest(O) e1000
[ 7036.798150] 
[ 7036.798154] Pid: 6791, comm: gunicorn Tainted: G      D    O 3.2.0-83-virtual #120-Ubuntu innotek GmbH VirtualBox/VirtualBox
[ 7036.798159] RIP: 0010:[<ffffffff8103eb6d>]  [<ffffffff8103eb6d>] __ticket_spin_lock+0x1d/0x30
[ 7036.798167] RSP: 0018:ffff8800b0167b08  EFLAGS: 00000297
[ 7036.798169] RAX: 0000000000000091 RBX: 0000000000000000 RCX: ffffc90000000000
[ 7036.798172] RDX: 0000000000000092 RSI: 0000000000000007 RDI: ffff8800813b47dc
[ 7036.798175] RBP: ffff8800b0167b08 R08: 0000000000000000 R09: 0000000000000000
[ 7036.798178] R10: 0000000000000030 R11: 0000000000000040 R12: 00000003ffffffff
[ 7036.798181] R13: ffffffffb0167ae8 R14: ffffffffa029297d R15: ffff8800b0167ae8
[ 7036.798185] FS:  00007fd5980fa700(0000) GS:ffff8800bfd00000(0000) knlGS:0000000000000000
[ 7036.798188] CS:  0010 DS: 0000 ES: 0000 CR0: 000000008005003b
[ 7036.798191] CR2: 00007f022272c000 CR3: 00000000a6db8000 CR4: 00000000000406e0
[ 7036.798196] DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
[ 7036.798199] DR3: 0000000000000000 DR6: 00000000ffff0ff0 DR7: 0000000000000400
[ 7036.798202] Process gunicorn (pid: 6791, threadinfo ffff8800b0166000, task ffff88009bc08000)
[ 7036.798205] Stack:
[ 7036.798207]  ffff8800b0167b18 ffffffff8165e9fe ffff8800b0167b88 ffffffff81191d22
[ 7036.798212]  d7ce0c0013dc53eb d7ce0c0013dc53eb 001041ed13dc53eb 000001f600000002
[ 7036.798215]  ffff88009be04037 0000000000000007 0000000000000000 ffff8800b0167dc8
[ 7036.798219] Call Trace:
[ 7036.798226]  [<ffffffff8165e9fe>] _raw_spin_lock+0xe/0x20
[ 7036.798230]  [<ffffffff81191d22>] __d_lookup+0x92/0x170
[ 7036.798276]  [<ffffffff81186c8b>] do_lookup+0x10b/0x310
[ 7036.798283]  [<ffffffff8129f17c>] ? security_inode_permission+0x1c/0x30
[ 7036.798313]  [<ffffffff81187698>] link_path_walk+0x138/0x870
[ 7036.798319]  [<ffffffff811865d7>] ? path_init+0x1d7/0x420
[ 7036.798324]  [<ffffffff81187e28>] path_lookupat+0x58/0x750
[ 7036.798330]  [<ffffffffa029297d>] ? sf_stat+0x5d/0x100 [vboxsf]
[ 7036.798335]  [<ffffffff81188551>] do_path_lookup+0x31/0xc0
[ 7036.798340]  [<ffffffff81189869>] user_path_at_empty+0x59/0xa0
[ 7036.798344]  [<ffffffff8165e9fe>] ? _raw_spin_lock+0xe/0x20
[ 7036.798348]  [<ffffffff811971fe>] ? vfsmount_lock_local_unlock+0x1e/0x30
[ 7036.798353]  [<ffffffff8117e624>] ? cp_new_stat+0xe4/0xf0
[ 7036.798356]  [<ffffffff811898c1>] user_path_at+0x11/0x20
[ 7036.798359]  [<ffffffff8117e83a>] vfs_fstatat+0x3a/0x70
[ 7036.798363]  [<ffffffff8117e8ab>] vfs_stat+0x1b/0x20
[ 7036.798366]  [<ffffffff8117e9ea>] sys_newstat+0x1a/0x40
[ 7036.798369]  [<ffffffff81015741>] ? math_state_restore+0x51/0x80
[ 7036.798394]  [<ffffffff8165fb2e>] ? do_device_not_available+0xe/0x10
[ 7036.798399]  [<ffffffff8166914b>] ? device_not_available+0x1b/0x20
[ 7036.798403]  [<ffffffff81667142>] system_call_fastpath+0x16/0x1b
[ 7036.798406] Code: 8c e9 03 81 e9 f5 fe ff ff 90 90 90 90 90 55 b8 00 01 00 00 48 89 e5 f0 66 0f c1 07 0f b6 d4 38 c2 74 0c 0f 1f 00 f3 90 0f b6 07 <38> d0 75 f7 5d c3 66 66 66 66 2e 0f 1f 84 00 00 00 00 00 0f b7 
[ 7036.798444] Call Trace:
[ 7036.798450]  [<ffffffff8165e9fe>] _raw_spin_lock+0xe/0x20
[ 7036.798454]  [<ffffffff81191d22>] __d_lookup+0x92/0x170
[ 7036.798459]  [<ffffffff81186c8b>] do_lookup+0x10b/0x310
[ 7036.798463]  [<ffffffff8129f17c>] ? security_inode_permission+0x1c/0x30
[ 7036.798468]  [<ffffffff81187698>] link_path_walk+0x138/0x870
[ 7036.798471]  [<ffffffff811865d7>] ? path_init+0x1d7/0x420
[ 7036.798474]  [<ffffffff81187e28>] path_lookupat+0x58/0x750
[ 7036.798478]  [<ffffffffa029297d>] ? sf_stat+0x5d/0x100 [vboxsf]
[ 7036.798493]  [<ffffffff81188551>] do_path_lookup+0x31/0xc0
[ 7036.798513]  [<ffffffff81189869>] user_path_at_empty+0x59/0xa0
[ 7036.798517]  [<ffffffff8165e9fe>] ? _raw_spin_lock+0xe/0x20
[ 7036.798521]  [<ffffffff811971fe>] ? vfsmount_lock_local_unlock+0x1e/0x30
[ 7036.798536]  [<ffffffff8117e624>] ? cp_new_stat+0xe4/0xf0
[ 7036.798541]  [<ffffffff811898c1>] user_path_at+0x11/0x20
[ 7036.798545]  [<ffffffff8117e83a>] vfs_fstatat+0x3a/0x70
[ 7036.798549]  [<ffffffff8117e8ab>] vfs_stat+0x1b/0x20
[ 7036.798553]  [<ffffffff8117e9ea>] sys_newstat+0x1a/0x40
[ 7036.798556]  [<ffffffff81015741>] ? math_state_restore+0x51/0x80
[ 7036.798561]  [<ffffffff8165fb2e>] ? do_device_not_available+0xe/0x10
[ 7036.798565]  [<ffffffff8166914b>] ? device_not_available+0x1b/0x20
[ 7036.798569]  [<ffffffff81667142>] system_call_fastpath+0x16/0x1b
[ 7038.184487]  iptable_filter ipt_MASQUERADE iptable_nat nf_nat nf_conntrack_ipv4 nf_conntrack nf_defrag_ipv4 ip_tables x_tables bridge stp dm_thin_pool dm_persistent_data dm_bufio libcrc32c nfsd nfs lockd fscache auth_rpcgss nfs_acl sunrpc ppdev parport_pc video parport psmouse serio_raw vboxguest(O) e1000
[ 7038.218803] CPU 0 
[ 7038.225063] Modules linked in: vboxsf(O) veth xt_tcpudp xt_addrtype xt_conntrack iptable_filter ipt_MASQUERADE iptable_nat nf_nat nf_conntrack_ipv4 nf_conntrack nf_defrag_ipv4 ip_tables x_tables bridge stp dm_thin_pool dm_persistent_data dm_bufio libcrc32c nfsd nfs lockd fscache auth_rpcgss nfs_acl sunrpc ppdev parport_pc video parport psmouse serio_raw vboxguest(O) e1000
[ 7038.272639] 
[ 7038.272974] Pid: 6785, comm: gunicorn Tainted: G      D    O 3.2.0-83-virtual #120-Ubuntu innotek GmbH VirtualBox/VirtualBox
[ 7038.284751] RIP: 0010:[<ffffffff8103eb6a>]  [<ffffffff8103eb6a>] __ticket_spin_lock+0x1a/0x30
[ 7038.333742] RSP: 0018:ffff88009bdfbb08  EFLAGS: 00000293
[ 7038.376759] RAX: 0000000000000091 RBX: 0000000000000000 RCX: ffffc90000000000
[ 7038.385447] RDX: 0000000000000093 RSI: 0000000000000007 RDI: ffff8800813b47dc
[ 7038.386761] RBP: ffff88009bdfbb08 R08: 0000000000000000 R09: 0000000000000000
[ 7038.401148] R10: 0000000000000001 R11: 0000000000000001 R12: 00000003ffffffff
[ 7038.464924] R13: ffffffff9bdfbae8 R14: ffffffffa029297d R15: ffff88009bdfbae8
[ 7038.526899] FS:  00007fd5980fa700(0000) GS:ffff8800bfc00000(0000) knlGS:0000000000000000
[ 7038.585059] CS:  0010 DS: 0000 ES: 0000 CR0: 000000008005003b
[ 7038.593860] CR2: 0000000000000008 CR3: 000000009bc12000 CR4: 00000000000406f0
[ 7038.613951] DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
[ 7038.634695] DR3: 0000000000000000 DR6: 00000000ffff0ff0 DR7: 0000000000000400
[ 7038.637710] Process gunicorn (pid: 6785, threadinfo ffff88009bdfa000, task ffff88009bc0c4d0)
[ 7038.641074] Stack:
[ 7038.641586]  ffff88009bdfbb18 ffffffff8165e9fe ffff88009bdfbb88 ffffffff81191d22
[ 7038.643142]  d7ce0c0013dc53eb d7ce0c0013dc53eb 001041ed13dc53eb 000001f600000002
[ 7038.649380]  ffff8800b94ab037 0000000000000007 0000000000000000 ffff88009bdfbdc8
[ 7038.656331] Call Trace:
[ 7038.658373]  [<ffffffff8165e9fe>] _raw_spin_lock+0xe/0x20
[ 7038.665047]  [<ffffffff81191d22>] __d_lookup+0x92/0x170
[ 7038.679580]  [<ffffffff81186c8b>] do_lookup+0x10b/0x310
[ 7038.696899]  [<ffffffff8129f17c>] ? security_inode_permission+0x1c/0x30
[ 7038.721833]  [<ffffffff81187698>] link_path_walk+0x138/0x870
[ 7038.743641]  [<ffffffff811865d7>] ? path_init+0x1d7/0x420
[ 7038.759322]  [<ffffffff81187e28>] path_lookupat+0x58/0x750
[ 7038.792737]  [<ffffffffa029297d>] ? sf_stat+0x5d/0x100 [vboxsf]
[ 7038.821547]  [<ffffffff81188551>] do_path_lookup+0x31/0xc0
[ 7038.843454]  [<ffffffff81189869>] user_path_at_empty+0x59/0xa0
[ 7038.863426]  [<ffffffff8165e9fe>] ? _raw_spin_lock+0xe/0x20
[ 7038.870442]  [<ffffffff811971fe>] ? vfsmount_lock_local_unlock+0x1e/0x30
[ 7038.884171]  [<ffffffff8117e624>] ? cp_new_stat+0xe4/0xf0
[ 7038.895811]  [<ffffffff811898c1>] user_path_at+0x11/0x20
[ 7038.903123]  [<ffffffff8117e83a>] vfs_fstatat+0x3a/0x70
[ 7038.916430]  [<ffffffff8117e8ab>] vfs_stat+0x1b/0x20
[ 7038.933950]  [<ffffffff8117e9ea>] sys_newstat+0x1a/0x40
[ 7038.946745]  [<ffffffff81015741>] ? math_state_restore+0x51/0x80
[ 7038.971318]  [<ffffffff8165fb2e>] ? do_device_not_available+0xe/0x10
[ 7039.005066]  [<ffffffff8166914b>] ? device_not_available+0x1b/0x20
[ 7039.043165]  [<ffffffff81667142>] system_call_fastpath+0x16/0x1b
[ 7039.077638] Code: 48 c7 c2 8c e9 03 81 e9 f5 fe ff ff 90 90 90 90 90 55 b8 00 01 00 00 48 89 e5 f0 66 0f c1 07 0f b6 d4 38 c2 74 0c 0f 1f 00 f3 90 <0f> b6 07 38 d0 75 f7 5d c3 66 66 66 66 2e 0f 1f 84 00 00 00 00 
[ 7039.091170] Call Trace:
[ 7039.101195]  [<ffffffff8165e9fe>] _raw_spin_lock+0xe/0x20
[ 7039.124585]  [<ffffffff81191d22>] __d_lookup+0x92/0x170
[ 7039.155398]  [<ffffffff81186c8b>] do_lookup+0x10b/0x310
[ 7039.157174]  [<ffffffff8129f17c>] ? security_inode_permission+0x1c/0x30
[ 7039.200099]  [<ffffffff81187698>] link_path_walk+0x138/0x870
[ 7039.205523]  [<ffffffff811865d7>] ? path_init+0x1d7/0x420
[ 7039.206479]  [<ffffffff81187e28>] path_lookupat+0x58/0x750
[ 7039.207443]  [<ffffffffa029297d>] ? sf_stat+0x5d/0x100 [vboxsf]
[ 7039.208485]  [<ffffffff81188551>] do_path_lookup+0x31/0xc0
[ 7039.209452]  [<ffffffff81189869>] user_path_at_empty+0x59/0xa0
[ 7039.210495]  [<ffffffff8165e9fe>] ? _raw_spin_lock+0xe/0x20
[ 7039.222125]  [<ffffffff811971fe>] ? vfsmount_lock_local_unlock+0x1e/0x30
[ 7039.244797]  [<ffffffff8117e624>] ? cp_new_stat+0xe4/0xf0
[ 7039.252082]  [<ffffffff811898c1>] user_path_at+0x11/0x20
[ 7039.262015]  [<ffffffff8117e83a>] vfs_fstatat+0x3a/0x70
[ 7039.286209]  [<ffffffff8117e8ab>] vfs_stat+0x1b/0x20
[ 7039.289285]  [<ffffffff8117e9ea>] sys_newstat+0x1a/0x40
[ 7039.294102]  [<ffffffff81015741>] ? math_state_restore+0x51/0x80
[ 7039.303022]  [<ffffffff8165fb2e>] ? do_device_not_available+0xe/0x10
[ 7039.311759]  [<ffffffff8166914b>] ? device_not_available+0x1b/0x20
[ 7039.326586]  [<ffffffff81667142>] system_call_fastpath+0x16/0x1b

At this point, the machine is completely unresponsive. Both CPUs appear to be stuck in a spinlock. The NMI watchdog will detect the stall and dump a new stack trace every 22 seconds or so, but the machine needs to be powered off.

Last edited 4 years ago by alexw (previous) (diff)

comment:6 Changed 4 years ago by lsolberg

This looks like the problem I am having as well. Running the vanilla boot2docker image with a bunch of containers running at the same time. The vm freezes up and uses full cpu from multiple cores on my mac.

comment:7 Changed 3 years ago by vfr1200f

Have a very similar experience. I use docker on OS X to compile my code and often, especially when I run multi-threaded make (make -j2 for example), I run into a similar problem as mentioned in this ticket.

Example of my kernel dump:

general protection fault: 0000 [#1] SMP 
Modules linked in: xt_nat veth xt_conntrack ipt_MASQUERADE nf_nat_masquerade_ipv4 iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 xt_addrtype nf_nat nf_conntrack br_netfilter bridge stp llc ipv6 vboxsf(O) joydev cpufreq_powersave cpufreq_userspace cpufreq_conservative cpufreq_stats squashfs loop ac video backlight ppdev parport_pc battery parport acpi_cpufreq pcspkr intel_agp intel_gtt agpgart vboxguest(O) i2c_piix4 e1000
CPU: 1 PID: 7521 Comm: cc1plus Tainted: G           O    4.1.17-boot2docker #1
Hardware name: innotek GmbH VirtualBox/VirtualBox, BIOS VirtualBox 12/01/2006
task: ffff8800d8138000 ti: ffff8800d8598000 task.ti: ffff8800d8598000
RIP: 0010:[<ffffffff8110dee8>]  [<ffffffff8110dee8>] list_lru_del+0x4b/0x4c
RSP: 0018:ffff8800d859bb70  EFLAGS: 00010286
RAX: ffff8800dbbf0b01 RBX: 00000a0000000000 RCX: ffff8800d9d03218
RDX: 0000002200000101 RSI: ffff88011afbdb18 RDI: ffff8800dbbf0b00
RBP: 812f520000000000 R08: ffff88011afbdaf0 R09: ffff8800d9f03a68
R10: 00000000c0405692 R11: 8080808080808080 R12: ffff8800d859bc28
R13: ffffffff81149d4d R14: ffffffff81149e69 R15: ffff88011afbda98
FS:  00007fe5c08e8840(0000) GS:ffff88011fd00000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 00007fe5bb5da000 CR3: 00000000d359a000 CR4: 00000000000406e0
DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
DR3: 0000000000000000 DR6: 00000000fffe0ff0 DR7: 0000000000000400
Stack:
 4c56ea001434edad f781920014331f3e f78192001434ee49 001041ed1434ee49
 000001f500000002 0000002200000014 0003a9032d000007 0000000000000000
 0000000000000000 ffff88011afbdb28 ffff8800d9f03a68 ffff8800d8c402b0
Call Trace:
 [<ffffffff8114a592>] ? d_invalidate+0x74/0xcc
 [<ffffffff81142375>] ? lookup_fast+0x1ef/0x26b
 [<ffffffff8114312a>] ? walk_component+0x3a/0x198
 [<ffffffff81143fc0>] ? link_path_walk+0x1f9/0x456
 [<ffffffff81144344>] ? path_init+0x127/0x2f2
 [<ffffffff81144cff>] ? path_openat+0x1ac/0x443
 [<ffffffff8114621b>] ? do_filp_open+0x2b/0x6f
 [<ffffffff8114ee28>] ? __alloc_fd+0x56/0xe1
 [<ffffffff81139607>] ? do_sys_open+0x67/0xee
 [<ffffffff81554fae>] ? system_call_fastpath+0x12/0x71
Code: 39 da 74 1e 48 8b 4b 08 48 89 4a 08 48 89 11 48 89 1b 48 89 5b 08 48 ff 48 10 80 45 00 01 b0 01 eb 06 80 45 00 01 31 c0 5a 5b 5d <c3> 48 8b 16 48 8b 46 08 48 89 42 08 48 89 10 48 89 36 48 89 76 
RIP  [<ffffffff8110dee8>] list_lru_del+0x4b/0x4c
 RSP <ffff8800d859bb70>
---[ end trace f9a0d4f69d3a2348 ]---

As far as I can tell, the VBox.log does not contain any suspicious trace at that moment. The only constant is:

  • It's always when there is substantially higher load towards the shared folder
  • It's always a kernel trace related to file system access
  • It's always the c/c++-compiler process that triggers the problem.

In other words: it must be related to vboxsf.

Version Info:

Last edited 3 years ago by vfr1200f (previous) (diff)

comment:8 Changed 3 years ago by frank

The most recent kernel crash looks like some kernel stack corruption. Trying to reproduce the problem.

comment:9 Changed 3 years ago by martin_o

I'm seeing a very similar traceback, SEGV from make running on Virtualbox shared filesystem. Everything fresh installed from scratch.

Host: OSX 10.11.3 Retina Macbook Pro 13" early 2015
Guest: Ubuntu 14.04.3 LTS , Kernel 3.19.0-25-generic , x86_64
Virtualbox 5.0.16 , Guest additions 5.0.16
Symlinks enabled: VBoxManage setextradata "Ubuntu 14.04" VBoxInternal2/SharedFoldersEnableSymlinksCreate/LinuxShared 1

[ 1777.542117] general protection fault: 0000 [#1] SMP 
[ 1777.542157] Modules linked in: xt_comment xt_nat xt_tcpudp veth xt_conntrack ipt_MASQUERADE nf_nat_masquerade_ipv4 iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 xt_addrtype iptable_filter ip_tables x_tables nf_nat nf_conntrack br_netfilter bridge stp llc aufs vboxsf(OE) snd_intel8x0 snd_ac97_codec ac97_bus snd_pcm snd_seq_midi iosf_mbi snd_seq_midi_event crct10dif_pclmul crc32_pclmul ghash_clmulni_intel snd_rawmidi aesni_intel snd_seq aes_x86_64 lrw gf128mul glue_helper ablk_helper cryptd joydev snd_seq_device serio_raw snd_timer rfcomm bnep snd i2c_piix4 soundcore bluetooth vboxguest(OE) 8250_fintek video mac_hid vboxvideo(OE) nfsd auth_rpcgss nfs_acl drm nfs lockd grace sunrpc fscache parport_pc ppdev lp parport hid_generic usbhid hid psmouse ahci libahci e1000 pata_acpi
[ 1777.542189] CPU: 0 PID: 11524 Comm: make Tainted: G           OE  3.19.0-25-generic #26~14.04.1-Ubuntu
[ 1777.542190] Hardware name: innotek GmbH VirtualBox/VirtualBox, BIOS VirtualBox 12/01/2006
[ 1777.542192] task: ffff8800c265d850 ti: ffff880053db0000 task.ti: ffff880053db0000
[ 1777.542193] RIP: 0010:[<ffffffffc0311899>]  [<ffffffffc0311899>] VGDrvCommonIoCtl+0x259/0x1b80 [vboxguest]
[ 1777.542201] RSP: 0000:ffff880053db3ab0  EFLAGS: 00010292
[ 1777.542202] RAX: 0000000000000000 RBX: 0000000300000000 RCX: 0000000001e5cd07
[ 1777.542203] RDX: 0000000001e5cd06 RSI: 0000000000000000 RDI: 0000000000000000
[ 1777.542204] RBP: 1eedb80014445245 R08: 0000000000017180 R09: ffff88011fc17180
[ 1777.542205] R10: ffffea0001493780 R11: ffffffffc03175ca R12: 000000aa53db3b0c
[ 1777.542206] R13: 0000000000000000 R14: 1eedb80000000000 R15: 1eedb80014445245
[ 1777.542207] FS:  0000000000000000(0000) GS:ffff88011fc00000(0000) knlGS:0000000000000000
[ 1777.542208] CS:  0010 DS: 002b ES: 002b CR0: 000000008005003b
[ 1777.542209] CR2: 00007f092ab62d20 CR3: 0000000052666000 CR4: 00000000000406f0
[ 1777.542212] Stack:
[ 1777.542213]  1eedb80014445245 001041ed14445245 0d5bdd0600000002 0000000565b476c3
[ 1777.542215]  001eddca01000004 0000000000000000 0000000000000000 ffff88011a3acc00
[ 1777.542217]  ffff880053db3d18 ffff880053db3b48 ffffffffc05159b0 0000000100000000
[ 1777.542218] Call Trace:
[ 1777.542223]  [<ffffffffc05159b0>] ? VbglR0SfCreate+0x70/0x90 [vboxsf]
[ 1777.542228]  [<ffffffffc0311882>] ? VGDrvCommonIoCtl+0x242/0x1b80 [vboxguest]
[ 1777.542231]  [<ffffffffc051394d>] ? sf_stat+0x5d/0x100 [vboxsf]
[ 1777.542233]  [<ffffffffc0513a71>] ? sf_inode_revalidate+0x81/0xd0 [vboxsf]
[ 1777.542237]  [<ffffffff811f6dc8>] ? inode_permission+0x18/0x50
[ 1777.542239]  [<ffffffff811f912e>] ? link_path_walk+0x23e/0x820
[ 1777.542241]  [<ffffffff81205820>] ? __d_lookup+0x120/0x160
[ 1777.542243]  [<ffffffffc0513ad8>] ? sf_dentry_revalidate+0x18/0x30 [vboxsf]
[ 1777.542245]  [<ffffffff811f7211>] ? lookup_fast+0x271/0x2c0
[ 1777.542247]  [<ffffffff811f97d1>] ? path_init+0xc1/0x470
[ 1777.542249]  [<ffffffff811fb2a3>] ? path_lookupat+0xb3/0x6c0
[ 1777.542251]  [<ffffffff811cf001>] ? kmem_cache_alloc+0x1a1/0x220
[ 1777.542253]  [<ffffffff811fc28f>] ? getname_flags+0x4f/0x1a0
[ 1777.542255]  [<ffffffff811fb8db>] ? filename_lookup+0x2b/0xc0
[ 1777.542257]  [<ffffffff811fd284>] ? user_path_at_empty+0x54/0xa0
[ 1777.542259]  [<ffffffff811fd38a>] ? do_filp_open+0x3a/0x90
[ 1777.542261]  [<ffffffff811fd2e1>] ? user_path_at+0x11/0x20
[ 1777.542263]  [<ffffffff811f1130>] ? vfs_fstatat+0x50/0xa0
[ 1777.542265]  [<ffffffff811f119b>] ? vfs_stat+0x1b/0x20
[ 1777.542267]  [<ffffffff8106cd9a>] ? sys32_stat64+0x1a/0x40
[ 1777.542270]  [<ffffffff817b9449>] ? ia32_do_call+0x13/0x13
[ 1777.542270] Code: 01 b9 ff ff ff ff 48 89 da 4c 89 d6 4c 89 ef e8 2e df ff ff 41 89 c7 0f 1f 00 48 83 c4 48 44 89 f8 5b 41 5c 41 5d 41 5e 41 5f 5d <c3> 66 0f 1f 44 00 00 49 83 f8 17 0f 86 05 0c 00 00 48 8d 83 00 
[ 1777.542290] RIP  [<ffffffffc0311899>] VGDrvCommonIoCtl+0x259/0x1b80 [vboxguest]
[ 1777.542294]  RSP <ffff880053db3ab0>
[ 1777.542325] ---[ end trace 8c5af925357e4b27 ]---

I'll try enabling an nfs-server on the host and sharing the files through NFS (with virtio networking), but would really prefer the shared folders to work. Since I understand that an NFS server on the host would inhibit the laptop from sleeping ?

comment:10 Changed 3 years ago by neilc

I also experienced a similar crash running make -j 3 on a shared folder, building some fairly complex C++ code. Linux 4.4.5, vbox 5.0.16, vbox guest additions installed (v 5.0.16).

[   97.110776] BUG: unable to handle kernel NULL pointer dereference at           (null)
[   97.110898] IP: [<          (null)>]           (null)
[   97.110933] PGD 215100067 PUD 210805067 PMD 0
[   97.110971] Oops: 0010 [#1] PREEMPT SMP
[   97.111016] Modules linked in: cfg80211 rfkill sch_fq_codel vboxsf(O) mousedev ppdev crct10dif_pclmul crc32_pclmul crc32c_intel vboxvideo(O) aesni_intel aes_x86_64 lrw gf128mul vboxguest(O) i2c_piix4 glue_helper ablk_helper cryptd evdev input_leds led_class pcspkr mac_hid psmouse parport_pc serio_raw fjes acpi_cpufreq tpm_tis tpm intel_agp intel_gtt drm parport processor video ac button battery e1000 ip_tables x_tables ext4 crc16 mbcache jbd2 sr_mod cdrom sd_mod ata_generic pata_acpi atkbd libps2 ahci libahci ata_piix libata scsi_mod i8042 serio
[   97.111661] CPU: 2 PID: 30000 Comm: ccache Tainted: G           O    4.4.5-1-ARCH #1
[   97.111725] Hardware name: innotek GmbH VirtualBox/VirtualBox, BIOS VirtualBox 12/01/2006
[   97.111797] task: ffff880214ec1b80 ti: ffff880214fa4000 task.ti: ffff880214fa4000
[   97.111858] RIP: 0010:[<0000000000000000>]  [<          (null)>]           (null)
[   97.111919] RSP: 0018:ffff880214fa7b38  EFLAGS: 00010286
[   97.111956] RAX: 0000000000000001 RBX: 6ebf3a001444b84a RCX: 0000000000000010
[   97.111993] RDX: ffff880214d87a48 RSI: ffff8800db7a7650 RDI: ffff8800db7a75c8
[   97.112033] RBP: 0000000000000000 R08: 0000000000000000 R09: ffffffffa035b8a5
[   97.112081] R10: ffffea000854f580 R11: 0000000000000040 R12: 001041ed1444b84a
[   97.112135] R13: 000001f500000002 R14: 0000001400000014 R15: 010056ac01000004
[   97.112179] FS:  00007f7c3afe4700(0000) GS:ffff88021fd00000(0000) knlGS:0000000000000000
[   97.112863] CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
[   97.113198] CR2: 0000000000000000 CR3: 0000000215eb4000 CR4: 00000000000406e0
[   97.113532] Stack:
[   97.113846]  ffff8800db49e600 ffff8800db49eb98 ffff880214fa7bb0 ffff880214fa7b98
[   97.114474]  ffffffff811f7918 ffffffff811f7240 ffff880214fa7ba8 ffff880214fa7bb0
[   97.115147]  ffff880215bea540 ffff880214fa7c60 ffff880214fa7c58 ffff880215fc76a0
[   97.115818] Call Trace:
[   97.116152]  [<ffffffff811f7918>] ? shrink_dentry_list+0xd8/0x310
[   97.116482]  [<ffffffff811f7240>] ? select_collect+0xa0/0xa0
[   97.116804]  [<ffffffff811f7ebe>] ? d_invalidate+0xbe/0x110
[   97.117117]  [<ffffffff811ed2b5>] ? lookup_fast+0x275/0x340
[   97.117423]  [<ffffffff811ed769>] ? walk_component+0x49/0x2f0
[   97.117727]  [<ffffffff811edb82>] ? link_path_walk+0x172/0x560
[   97.118038]  [<ffffffff811ebbf9>] ? path_init+0x209/0x3b0
[   97.118331]  [<ffffffff811ee2fc>] ? path_lookupat+0x7c/0x110
[   97.118642]  [<ffffffff811f016d>] ? filename_lookup+0xad/0x140
[   97.118966]  [<ffffffff811efde7>] ? getname_flags+0x37/0x1a0
[   97.119276]  [<ffffffff811f02d6>] ? user_path_at_empty+0x36/0x40
[   97.119590]  [<ffffffff811e6066>] ? vfs_fstatat+0x66/0xc0
[   97.119893]  [<ffffffff811e6563>] ? SyS_newstat+0x33/0x60
[   97.120188]  [<ffffffff8100363e>] ? exit_to_usermode_loop+0x5e/0xc0
[   97.120473]  [<ffffffff81003bce>] ? syscall_return_slowpath+0x4e/0x60
[   97.120755]  [<ffffffff815970ee>] ? entry_SYSCALL_64_fastpath+0x12/0x6d
[   97.121034] Code:  Bad RIP value.
[   97.121320] RIP  [<          (null)>]           (null)
[   97.121614]  RSP <ffff880214fa7b38>
[   97.121881] CR2: 0000000000000000
[   97.122209] ---[ end trace 9b0b64885d62f7f4 ]---

comment:11 Changed 3 years ago by frank

The problem seems to be specific for guest kernels >= 4.2. So far no idea what's the problem.

comment:12 Changed 3 years ago by frank

Turns out that even older kernel are affected. Linux 3.10 seems to be fine.

comment:13 Changed 3 years ago by hmijail

I am seeing some similar behavior in VirtualBox 5.1.8 r111374. Guest Ubuntu 16.04, Host macOS Sierra 10.12.1, current Guest Additions installed. I'm using Eclipse to build sources (about 100 files) in a shared folder; it is about 3x slower than building on the command line (I assume Eclipse is indexing or whatever in the background during the build, so stressing the sharing mechanism), and frequently something gets stuck in Eclipse (one core at 100% with a "Java" process) so it can't be closed correctly.

At that point, killing the Java process is not possible, and even shutting down the whole Linux guest just blocks forever.

Interestingly, the VM doesn't report the CPU usage, and even after pausing the VM the VirtualBox process in the host still keeps using 100% of one core.

At that point, one can save the VM, close VirtualBox and reopen it, and the VM works.

So it looks like the sharing folder mechanism is getting stuck in the host-side part of VirtualBox.

Changed 3 years ago by adeschenes

vboxsf kernel panic jessie-backports kernel 4.7.8

Changed 3 years ago by adeschenes

vboxsf kernel panic jessie kernel 3.16.36

comment:14 Changed 3 years ago by adeschenes

We have multiple hosts having the same problem multiple times a day here on Debian jessie guests. [OSX El Capitan, macOS Sierra, Ubuntu Yakkety, Debian Stretch]. Screenshots of the VM with jessie stock kernel and jessie-backports kernel provided. Boxes can crash at the middle of the night (no load), but get stuck at 100% load on the host. Unfortunately the trace is redirected to tty1 for kernel 4.7 and was not logged (see attachment).

Trace for a jessie box running the latest 5.1.10 version with latest kernel as of today (3.16.36)

[   13.586374] vboxsf: Successfully loaded version 5.1.10 (interface 0x00010004)
[   13.793043] VBoxService 5.1.10 r112026 (verbosity: 0) linux.amd64 (Nov 21 2016 17:44:44) release log
00:00:00.000121 main     Log opened 2016-12-08T17:05:22.771743000Z
[   13.793068] 00:00:00.000188 main     OS Product: Linux
[   13.793082] 00:00:00.000201 main     OS Release: 3.16.0-4-amd64
[   13.793093] 00:00:00.000215 main     OS Version: #1 SMP Debian 3.16.36-1+deb8u2 (2016-10-19)
[   13.793129] 00:00:00.000226 main     Executable: /opt/VBoxGuestAdditions-5.1.10/sbin/VBoxService
00:00:00.000241 main     Process ID: 1469
00:00:00.000242 main     Package type: LINUX_64BITS_GENERIC
[   13.793705] 00:00:00.000822 main     5.1.10 r112026 started. Verbose level = 0
[ 9591.763657] BUG: unable to handle kernel NULL pointer dereference at           (null)
[ 9591.763859] IP: [<          (null)>]           (null)
[ 9591.763980] PGD 2190f7067 PUD 219780067 PMD 0 
[ 9591.764091] Oops: 0010 [#1] SMP 
[ 9591.764168] Modules linked in: vboxsf(O) nfsd auth_rpcgss oid_registry nfs_acl nfs lockd fscache sunrpc ip6table_filter ip6_tables nf_conntrack_ipv4 nf_defrag_ipv4 xt_comment xt_multiport xt_conntrack nf_conntrack iptable_filter ip_tables x_tables iTCO_wdt iTCO_vendor_support crc32_pclmul ppdev aesni_intel lpc_ich mfd_core aes_x86_64 lrw vboxguest(O) gf128mul glue_helper ablk_helper cryptd evdev pcspkr serio_raw battery rng_core i2c_piix4 button parport_pc video i2c_core ac processor parport thermal_sys fuse autofs4 ext4 crc16 mbcache jbd2 dm_mod sg sd_mod crc_t10dif crct10dif_generic ata_generic virtio_net crct10dif_pclmul crct10dif_common ata_piix crc32c_intel libata psmouse scsi_mod virtio_pci virtio_ring virtio
[ 9591.765804] CPU: 0 PID: 11674 Comm: php Tainted: G           O  3.16.0-4-amd64 #1 Debian 3.16.36-1+deb8u2
[ 9591.766021] Hardware name: innotek GmbH VirtualBox/VirtualBox, BIOS VirtualBox 12/01/2006
[ 9591.766211] task: ffff8800d64fc250 ti: ffff88021919c000 task.ti: ffff88021919c000
[ 9591.766382] RIP: 0010:[<0000000000000000>]  [<          (null)>]           (null)
[ 9591.766880] RSP: 0018:ffff88021919fca0  EFLAGS: 00010282
[ 9591.767262] RAX: 0000000000000000 RBX: fff165221474ebbf RCX: ffff880298498840
[ 9591.767722] RDX: 0000000000000012 RSI: 0000000000000000 RDI: 0000000000000000
[ 9591.768071] RBP: 008081a41474ebbf R08: 000077ff80000000 R09: 0000000000000000
[ 9591.768405] R10: 0000000000000000 R11: ffff88021919fd70 R12: 000003e800000002
[ 9591.768754] R13: 00000001000003e8 R14: 00de096e0000fe01 R15: 0000000000000000
[ 9591.769145] FS:  00007fbb666f0740(0000) GS:ffff880223c00000(0000) knlGS:0000000000000000
[ 9591.769792] CS:  0010 DS: 0000 ES: 0000 CR0: 000000008005003b
[ 9591.770150] CR2: 0000000000000000 CR3: 00000002184a8000 CR4: 00000000000406f0
[ 9591.770513] DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
[ 9591.770876] DR3: 0000000000000000 DR6: 00000000fffe0ff0 DR7: 0000000000000400
[ 9591.771261] Stack:
[ 9591.771495]  ffff88021988cb00 ffff880036580248 0000000000000000 0000000000000000
[ 9591.772177]  ffff88021919fd70 ffff88021919fd60 0000000000000000 ffffffffa02a1640
[ 9591.772723]  00000000c0005692 00000000fffffffa ffffffffa027a6aa 0000000000000000
[ 9591.773252] Call Trace:
[ 9591.773478]  [<ffffffffa027a6aa>] ? VGDrvCommonIoCtl+0x24a/0x1bf0 [vboxguest]
[ 9591.773805]  [<ffffffff811b894e>] ? do_last+0x18e/0x1330
[ 9591.774089]  [<ffffffffa04176fe>] ? VbglR0SfCreate+0x7e/0xa0 [vboxsf]
[ 9591.774397]  [<ffffffffa041578c>] ? sf_stat+0x5c/0x110 [vboxsf]
[ 9591.774700]  [<ffffffffa04158c0>] ? sf_inode_revalidate+0x80/0xd0 [vboxsf]
[ 9591.775036]  [<ffffffff811ba91a>] ? do_filp_open+0x3a/0x90
[ 9591.775323]  [<ffffffffa0415949>] ? sf_getattr+0x19/0x40 [vboxsf]
[ 9591.775625]  [<ffffffff811aef89>] ? vfs_getattr+0x19/0x30
[ 9591.775913]  [<ffffffff811aefcd>] ? vfs_fstat+0x2d/0x60
[ 9591.776194]  [<ffffffff811af580>] ? SYSC_newfstat+0x10/0x30
[ 9591.776487]  [<ffffffff811a9b15>] ? do_sys_open+0x195/0x220
[ 9591.776777]  [<ffffffff8151858d>] ? system_call_fast_compare_end+0x10/0x15
[ 9591.777098] Code:  Bad RIP value.
[ 9591.777344] RIP  [<          (null)>]           (null)
[ 9591.777622]  RSP <ffff88021919fca0>
[ 9591.777865] CR2: 0000000000000000
[ 9591.778806] ---[ end trace 2421e023ec3eb42a ]---
Last edited 3 years ago by adeschenes (previous) (diff)

comment:15 Changed 2 years ago by mrtngrnr

Please see #16417 for a similar issue that happens under high load with many file stat() calls on a vboxsf shared folder.

comment:16 Changed 2 years ago by Wolfgang Glas

I'm suffering from this issue too (Debian Jessie guest, kernel 3.16).

Is there any progress, because this is a real showstopper, sorry to say :-(

TIA and best regards,

Wolfgang Glas

comment:17 Changed 2 years ago by frank

Unfortunately no progress. As this problem seems to be specific to the Linux Additions (no problem with the Windows Additions) it is very likely a problem with our Linux Additions guest code. At the moment nobody has time to look into that issue. Any effort in helping to debug this issue is welcome.

comment:18 Changed 2 years ago by Richlv

for the record, "shared folders" were mostly working ok for me, then they started freezing almost constantly. upgraded the guest-tools from my distro (opensuse) and the problem went away. currently at version 5.0.40-40.1.

host - macos; guest - linux.

comment:19 Changed 2 years ago by frank

Richlv, do you have more information? Are you using a guest with multiple VCPUs? Which of the virtualbox-guest-tools did you use when you experienced the freezes / guest panics?

comment:20 Changed 2 years ago by Richlv

(sorry about the delayed response, did not get email about the comment)

frank, unfortunately, i did not take a note of which version was giving me constant freezes. i do have the vm configured to have two CPUs.

i still do get the freezes, though. it seems to happen when doing a higher number of operations. for example, i can copy multi-gb files from the linux guest to that shared directory without any issues. if i open the shared directory in dolphin (which starts reading all the subdirectories for previews etc), it freezes instantly.

will reconfigure the vm to have one cpu and test this scenario.

comment:21 Changed 2 years ago by Richlv

single cpu made no difference. what is maybe interesting - this seems to happen when opening mac root as a shared directory with dolphin. does not happen when opening, for example, user home directory or directories with lots of photos.

comment:22 Changed 2 years ago by PabloViquez

comment:23 Changed 3 months ago by bird

  • Status changed from new to closed
  • Resolution set to fixed
  • Summary changed from vboxsf module crashes during high load to vboxsf module crashes during high load => Fixed in SVN / 6.0.6

We hope the problems reported here has been addressed in 6.0.6. Closing.

Note: See TracTickets for help on using tickets.

www.oracle.com
ContactPrivacy policyTerms of Use